/*=============================================================================================

	Res FILE:		ResourceDefines.r

	VERSION:		1.0d1

	COPYRIGHT:		(c) 1993-1994 Apple Computer Inc.
						All rights reserved.

	PURPOSE:		This file contains constant defines for resources in the Resources.r
					file.  This file is included by Resources.r and the HP7570A driver's
					C files.

	HISTORY:	Date			By			Description
				-----			---		    ----------------------------------
				1/20/92			Harita		Initial release
				9/07/93			Harita		gx-ified.
			   12/20/93			dmh			Sync'd up for GX 1.0b3.
				8/28/94			dmh			Sync'd up for GX 1.0.1.

==============================================================================================*/

/* ============= Constants describing the specifics of the HP7570A driver file ============= */

#define	kDriverName				"HPXL"
#define	kDriverCreatorType 		'scXL'
#define	kDriverFileType			'pdvr'


/* ============= Well Known (from Print Manager) Resource ID Constants ============= */

#define	kOwnedIDMask 			(-28672)


/* ============= Resource ID's of HPXL icons ============= */

#define	kDesktopIconID		 gxPrintingDriverBaseID


/* ============= 'STR#' Resource ID's ============= */

#define	kHPXLCmndStringsID		gxPrintingDriverBaseID + 1
#define	kMiscStringsID			gxPrintingDriverBaseID + 2


/* ============= Index Constants into the  kHPXLCmndStringsID 'STR#' ============= */

#define	kInitIdx 		1 
#define	kSetPenIdx 		2 
#define	kSetWindowIdx	3 
#define	kLineIdx		4 
#define	kRectIdx 		5 
#define	kFilledRectIdx  6 
#define	kInitPolyIdx    7 
#define	kDataIdx        8 
#define	kCommaIdx	    9 
#define	kTermPolyIdx    10 
#define	kInitLinesIdx  11 
#define	kTermLinesIdx  12 
#define	kTermPolysIdx  13 
#define	kFillIdx	   14 
#define	kEdgeIdx	   15 
#define	kTermGlyphIdx  16 
#define	kTermPageIdx   17 
#define	kSetPenWidthIdx 18 
#define	kSetPenColorIdx 19 

#define	kHPXLCmndStringsType	'CMND'	// Driver's HPXL ResDump command strings


/* ============= 'stat' Resource ID's ============= */

#define	kUserAttentionID			gxPrintingDriverBaseID + 1	// Resource ID for the "User Attention" 'stat' alerts


/* ============= 'cool' Resource ID's ============= */

#define	kManualFeedCoolAlrt			1					// Relative resource ID for the manual feed 'cool' alert


/* ============= Status Message Constants (used in statusID field) ============= */

#define	kManualFeedStatus			1		// Manual paper feed status message
#define	kPrintingStatus				3		// Printing status message

/* ============= Miscellaneous Constants ============= */

#define	ok					1				//	Standard OK dialog button item number
#define	cancel				2				//	Standard Cancel dialog button item number


