/*=============================================================================================

	Res FILE:		Resources.r

	VERSION:		1.0d1

	COPYRIGHT:		(c) 1992-1994 Apple Computer Inc.
						All rights reserved.

	PURPOSE:		This file contains resources for the HPXL - PaintJetXL plotter
	                specific driver. 

	HISTORY:		Date		By			Description
					-----		---			--------------------------------------
					6/14/96		cn			Updated to support Universal Interfaces 2.1.
					8/28/94		dmh			Sync'd up for GX 1.0.1.
	  				5/03/94		dmh			Updated for the f2 seed.
			 	    3/22/94		dmh			Updated for the b4 seed.
			 	   12/20/93		dmh			Sync'd up for GX 1.0b3.
					1/20/92		Harita		Initial release

==============================================================================================*/

/* =============== System 7.0 Compatible =============== */

#define SystemSevenOrLater		1


/* =============== HPXL Driver Version String =============== */

#define kHPXLDriverVersion		"1.0d1"


/* =============== Include System Resource Definitions =============== */

#include "Types.r"
#include "SysTypes.r"


/* =============== Include Printing Manager Resource Constants =============== */

#include "GXPrintingResTypes.r"


/* =============== Include HPXL Resource Definitions =============== */

#include "ResourceDefines.h"


resource 'vers' (gxPrintingDriverBaseID, sysheap, purgeable) {
	0x01, 0x00, release, 0x00,
	verUS,
	"1.00",
	"1.00, Copyright \251 Apple Computer, Inc. 1989-1994"
};


// Normal 'vers' resources so we can tell what version we've got.

resource 'vers' (1, sysheap, purgeable) {
	0x1,
	0x0,
	final,
	0x0,
	verUS,
	"1.0",
	"1.0,  Apple Computer, Inc. 1989-1994"
};


resource 'vers' (2, sysheap, purgeable) {
	0x1,
	0x0,
	final,
	0x0,
	verUS,
	"1.0",
	"Sample Printer Driver"
};


/* ============= Required 'ICN#', 'FREF', and 'BNDL' Resources for the Driver ============= */

/* ===== Following are the 3 definitions for the driver's icon ===== */
/* ===== Following are the 3 definitions for the plotter's non-current, non-shared desktop icon ===== */

data 'ICN#' (kDesktopIconID, sysheap, purgeable)
{
	$"1C00 0038 23FF FFC4 2200 0044 2200 0044"            /* ...8#.."..D"..D */
	$"2200 0044 2200 0044 23FF FFC4 23C2 03C4"            /* "..D"..D#..#. */
	$"23C4 03C4 2244 0244 2246 0244 23C1 C3C4"            /* #."D.D"F.D# */
	$"2240 2244 1C40 1238 0C40 1218 0C40 1218"            /* "@"D.@.8.@...@.. */
	$"0C40 1218 0C40 0218 0DFF FA18 0D00 0618"            /* .@...@........ */
	$"0CFF FE18 0C00 0018 0C00 0018 0C00 0018"            /* ................ */
	$"0C00 0018 0C00 0018 1FFF FFF8 2C00 001C"            /* ............,... */
	$"4C00 001A 8000 0001 8000 0001 FFFF FFFF"            /* L............. */
	$"1C00 0038 3FFF FFFC 3FFF FFFC 3FFF FFFC"            /* ...8?...?...?... */
	$"3FFF FFFC 3FFF FFFC 3FFF FFFC 3FFF FFFC"            /* ?...?...?...?... */
	$"3FFF FFFC 3FFF FFFC 3FFF FFFC 3FFF FFFC"            /* ?...?...?...?... */
	$"3E7F FE7C 1C7F FE38 0C7F FE18 0C7F FE18"            /* >..|...8........ */
	$"0C7F FE18 0C7F FE18 0DFF FE18 0DFF FE18"            /* .............. */
	$"0CFF FE18 0C00 0018 0C00 0018 0C00 0018"            /* ................ */
	$"0C00 0018 0C00 0018 1FFF FFF8 3FFF FFFC"            /* ............?... */
	$"7FFF FFFE FFFF FFFF FFFF FFFF FFFF FFFF"            /* ................ */
};


data 'icl4' (kDesktopIconID, sysheap, purgeable)
{
	$"00DE EED0 0000 0000 0000 0000 0DEE ED00"            /* .............. */
	$"00E0 00EF FFFF FFFF FFFF FFFF FE00 0E00"            /* ................ */
	$"00E0 CCE0 0000 0000 0000 0000 0E0C CE00"            /* .............. */
	$"00E0 CCE0 CCCC CCCC CCCC CCCC CE0C CE00"            /* ..... */
	$"00E0 CCE0 CCCC CCCC CCCC CCCC CE0C CE00"            /* ..... */
	$"00E0 CCED DDDD DDDD DDDD DDDD DE0C CE00"            /* .............. */
	$"00E0 CCEF FEEE EEEF EEEE EEEF FE0C CE00"            /* .............. */
	$"00E0 CCEF FE00 00F0 0000 00EF FE0C CE00"            /* .............. */
	$"00E0 CCEF FE00 0F00 0000 00EF FE0C CE00"            /* .............. */
	$"00E0 CCEC CE00 0F00 0000 00EC CE0C CE00"            /* ............ */
	$"00E0 CCEC CE00 0330 0000 00EC CE0C CE00"            /* .....0...... */
	$"00E0 CCEE EE00 0003 3300 00EE EE0C CE00"            /* .......3...... */
	$"00E0 CCE0 0E00 0000 0030 00E0 0E0C CE00"            /* ........0..... */
	$"00DE EED0 0E00 0000 0003 00E0 0DEE ED00"            /* .............. */
	$"000D EF00 0E00 0000 0003 00E0 00DE F000"            /* ............... */
	$"000D EF00 0E00 0000 0003 00E0 00DE F000"            /* ............... */
	$"000D EF00 0E00 0000 0003 00E0 00DE F000"            /* ............... */
	$"000D EF00 0E00 0000 0000 00E0 00DE F000"            /* ............... */
	$"000D EF0E EEEE EEEE EEEE ECE0 00DE F000"            /* ............... */
	$"000D EF0E CCCC CCCC CCCC CEE0 00DE F000"            /* ........ */
	$"000D EF00 EEEE EEEE EEEE EEE0 00DE F000"            /* ............... */
	$"000D EF00 0000 0000 0000 0000 00DE F000"            /* ............... */
	$"000D EF00 0000 0000 0000 0000 00DE F000"            /* ............... */
	$"000D EF00 0000 0000 0000 0000 00DE F000"            /* ............... */
	$"000D EF00 0000 0000 0000 0000 00DE F000"            /* ............... */
	$"000D EF00 0000 0000 0000 0000 00DE F000"            /* ............... */
	$"000D EFFF FFFF FFFF FFFF FFFF FFDE F000"            /* ............... */
	$"00FD EF0C 0C0C 0C0C 0C0C 0C0C 0CDE FF00"            /* ................ */
	$"0FCD EFC0 C0C0 C0C0 C0C0 C0C0 C0DE F0F0"            /* ..... */
	$"FC0C 0C0C 0C0C 0C0C 0C0C 0C0C 0C0C 0C0F"            /* ................ */
	$"F0C0 C0C0 C0C0 C0C0 C0C0 C0C0 C0C0 C0CF"            /* . */
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"            /* ................ */
};


data 'icl8' (kDesktopIconID, sysheap, purgeable)
{
	$"0000 F9FC FCFC F900 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 00F9 FCFC FCF9 0000"            /* ................ */
	$"0000 FC00 0000 FCFE FEFE FEFE FEFE FEFE"            /* ................ */
	$"FEFE FEFE FEFE FEFE FEFC 0000 00FC 0000"            /* ................ */
	$"0000 FC00 2B2B FC00 0000 0000 0000 0000"            /* ....++.......... */
	$"0000 0000 0000 0000 00FC 002B 2BFC 0000"            /* ...........++... */
	$"0000 FC00 2B2B FC00 2B2B 2B2B 2B2B 2B2B"            /* ....++..++++++++ */
	$"2B2B 2B2B 2B2B 2B2B 2BFC 002B 2BFC 0000"            /* +++++++++..++... */
	$"0000 FC00 2B2B FC00 2B2B 2B2B 2B2B 2B2B"            /* ....++..++++++++ */
	$"2B2B 2B2B 2B2B 2B2B 2BFC 002B 2BFC 0000"            /* +++++++++..++... */
	$"0000 FC00 2B2B FCF9 F9F9 F9F9 F9F9 F9F9"            /* ....++.......... */
	$"F9F9 F9F9 F9F9 F9F9 F9FC 002B 2BFC 0000"            /* ...........++... */
	$"0000 FC00 2B2B FCFF FFFC FCFC FCFC FCFE"            /* ....++.......... */
	$"FCFC FCFC FCFC FCFF FFFC 002B 2BFC 0000"            /* ...........++... */
	$"0000 FC00 2B2B FCFE FEFC 0000 0000 FF00"            /* ....++.......... */
	$"0000 0000 0000 FCFE FEFC 002B 2BFC 0000"            /* ...........++... */
	$"0000 FC00 2B2B FCFE FEFC 0000 00FF 0000"            /* ....++.......... */
	$"0000 0000 0000 FCFE FEFC 002B 2BFC 0000"            /* ...........++... */
	$"0000 FC00 2B2B FC2B 2BFC 0000 00FF 0000"            /* ....++.++....... */
	$"0000 0000 0000 FC2B 2BFC 002B 2BFC 0000"            /* .......++..++... */
	$"0000 FC00 2B2B FC2B 2BFC 0000 00D7 D700"            /* ....++.++..... */
	$"0000 0000 0000 FC2B 2BFC 002B 2BFC 0000"            /* .......++..++... */
	$"0000 FC00 2B2B FCFC FCFC 0000 0000 00D7"            /* ....++......... */
	$"D7D7 0000 0000 FCFC FCFC 002B 2BFC 0000"            /* .........++... */
	$"0000 FC00 2B2B FC00 00FC 0000 0000 0000"            /* ....++.......... */
	$"0000 D700 0000 FC00 00FC 002B 2BFC 0000"            /* ..........++... */
	$"0000 F9FC FCFC F900 00FC 0000 0000 0000"            /* ................ */
	$"0000 00D7 0000 FC00 00F9 FCFC FCF9 0000"            /* ............... */
	$"0000 00F9 FCFF 0000 00FC 0000 0000 0000"            /* ................ */
	$"0000 00D7 0000 FC00 0000 F9FC FF00 0000"            /* ............... */
	$"0000 00F9 FCFF 0000 00FC 0000 0000 0000"            /* ................ */
	$"0000 00D7 0000 FC00 0000 F9FC FF00 0000"            /* ............... */
	$"0000 00F9 FCFF 0000 00FC 0000 0000 0000"            /* ................ */
	$"0000 00D7 0000 FC00 0000 F9FC FF00 0000"            /* ............... */
	$"0000 00F9 FCFF 0000 00FC 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 FC00 0000 F9FC FF00 0000"            /* ................ */
	$"0000 00F9 FCFF 00FC FCFC FCFC FCFC FCFC"            /* ................ */
	$"FCFC FCFC FC2B FC00 0000 F9FC FF00 0000"            /* .....+.......... */
	$"0000 00F9 FCFF 00FC 2B2B 2B2B 2B2B 2B2B"            /* ........++++++++ */
	$"2B2B 2B2B 2BFC FC00 0000 F9FC FF00 0000"            /* +++++........... */
	$"0000 00F9 FCFF 0000 FCFC FCFC FCFC FCFC"            /* ................ */
	$"FCFC FCFC FCFC FC00 0000 F9FC FF00 0000"            /* ................ */
	$"0000 00F9 FCFF 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 F9FC FF00 0000"            /* ................ */
	$"0000 00F9 FCFF 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 F9FC FF00 0000"            /* ................ */
	$"0000 00F9 FCFF 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 F9FC FF00 0000"            /* ................ */
	$"0000 00F9 FCFF 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 F9FC FF00 0000"            /* ................ */
	$"0000 00F9 FCFF 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 F9FC FF00 0000"            /* ................ */
	$"0000 00F9 FCFF FFFF FFFF FFFF FFFF FFFF"            /* ................ */
	$"FFFF FFFF FFFF FFFF FFFF F9FC FF00 0000"            /* ................ */
	$"0000 FFF9 FCFF F5F5 F5F5 F5F5 F5F5 F5F5"            /* ................ */
	$"F5F5 F5F5 F5F5 F5F5 F5F5 F9FC FFFF 0000"            /* ................ */
	$"00FF F5F9 FCFF F5F5 F5F5 F5F5 F5F5 F5F5"            /* ................ */
	$"F5F5 F5F5 F5F5 F5F5 F5F5 F9FC FFF5 FF00"            /* ................ */
	$"FFF5 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"            /* ................ */
	$"F5F5 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5 F5FF"            /* ................ */
	$"FFF5 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"            /* ................ */
	$"F5F5 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5 F5FF"            /* ................ */
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"            /* ................ */
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"            /* ................ */
};

/* ===== Following are the 3 WRONG TEMPORARY definitions for the plotter driver small icon view ===== */

data 'ics#' (kDesktopIconID, sysheap, purgeable)
{
	$"FFFE 8002 9FF2 9832 9FF2 DE73 5551 5551"            /* ....2..sUQUQ */
	$"54D1 5791 D013 9FF2 A00A BFFA 8002 FFFE"            /* TW....... */
	$"FFFE FFFE FFFE FFFE FFFE FFFF 7FFF 7FFF"            /* ................ */
	$"7FFF 7FFF FFFF FFFE FFFE FFFE FFFE FFFE"            /* ................ */
};


data 'ics4' (kDesktopIconID, sysheap, purgeable)
{
	$"FFFF FFFF FFFF FFF0 F000 0000 0000 00F0"            /* ................ */
	$"F0CD FFFF FFFD C0F0 F00F ECCC CCEF 0CF0"            /* ............ */
	$"F0CF EEEE EEEF C0F0 FF0F EE30 0EEF 0CFF"            /* .........0.... */
	$"0F0F 0E03 0E0F C0CF 0F0F 0E03 0E0F 0C0F"            /* .............. */
	$"0F0F 0ECC EE0F C0CF 0F0F 0EEE E00F 0C0F"            /* ............. */
	$"FFCF 0000 000F C0FF F00F FFFF FFFF 0CF0"            /* .............. */
	$"F0FC 0C0C 0C0C F0F0 F0FF FFFF FFFF FCF0"            /* ................ */
	$"F0C0 C0C0 C0C0 C0F0 FFFF FFFF FFFF FFF0"            /* .......... */
};


data 'ics8' (kDesktopIconID, sysheap, purgeable)
{
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FF00"            /* ................ */
	$"FF00 0000 0000 0000 0000 0000 0000 FF00"            /* ................ */
	$"FF00 F6F9 FFFF FFFF FFFF FFF9 F6F6 FF00"            /* ................ */
	$"FF00 F6FF FC2B 2B2B 2B2B FCFF F6F6 FF00"            /* .....+++++...... */
	$"FF00 F6FF FCFC FCFC FCFC FCFF F6F6 FF00"            /* ................ */
	$"FFFF 00FF FCFC D700 00FC FCFF F6F6 FFFF"            /* ............... */
	$"00FF 00FF 00FC 00D7 00FC 00FF F6F6 F6FF"            /* ............... */
	$"00FF 00FF 00FC 00D7 00FC 00FF F6F6 F6FF"            /* ............... */
	$"00FF 00FF 00FC 2B2B FCFC 00FF F6F6 F6FF"            /* ......++........ */
	$"00FF 00FF 00FC FCFC FC00 00FF F6F6 F6FF"            /* ................ */
	$"FFFF F6FF 0000 0000 0000 00FF F6F6 FFFF"            /* ................ */
	$"FF00 F6FF FFFF FFFF FFFF FFFF F6F6 FF00"            /* ................ */
	$"FF00 FFF5 F5F5 F5F5 F5F5 F5F5 FFF6 FF00"            /* ................ */
	$"FF00 FFFF FFFF FFFF FFFF FFFF FFF6 FF00"            /* ................ */
	$"FF00 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 FF00"            /* ................ */
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FF00"            /* ................ */
};

/* ===== Following are the 3 definitions for the plotter's non-current, shared desktop icon ===== */

data 'ICN#' (kDesktopIconID + 1, sysheap, purgeable)
{
	$"1C00 0038 23FF FFC4 2200 0044 2200 0044"            /* ...8#.."..D"..D */
	$"2200 0044 2200 0044 23FF FFC4 23C2 03C4"            /* "..D"..D#..#. */
	$"23C4 03C4 2244 0244 2246 0244 23C1 C3C4"            /* #."D.D"F.D# */
	$"2240 2244 1C40 1238 1C40 1238 1C40 1238"            /* "@"D.@.8.@.8.@.8 */
	$"1C40 1238 1C40 0238 1DFF FA38 1D00 0638"            /* .@.8.@.8...8...8 */
	$"1CFF FE38 1C00 0038 1C00 0038 1C00 0038"            /* ...8...8...8...8 */
	$"1C00 0038 1C00 0038 0000 0038 0000 0054"            /* ...8...8...8...T */
	$"BFFF FF91 0000 0028 BFFF FFC5 0000 0000"            /* .....(...... */
	$"3E00 007C 3FFF FFFC 3FFF FFFC 3FFF FFFC"            /* >..|?...?...?... */
	$"3FFF FFFC 3FFF FFFC 3FFF FFFC 3FFF FFFC"            /* ?...?...?...?... */
	$"3FFF FFFC 3FFF FFFC 3FFF FFFC 3FFF FFFC"            /* ?...?...?...?... */
	$"3E7F FE7C 3E7F FE7C 1C7F FE38 1C7F FE38"            /* >..|>..|...8...8 */
	$"1C7F FE38 1C7F FE38 1DFF FE38 1DFF FE38"            /* ...8...8...8...8 */
	$"1CFF FE38 1C00 0038 1C00 0038 1C00 0038"            /* ...8...8...8...8 */
	$"1C00 0038 1C00 0038 1C00 0038 0000 007C"            /* ...8...8...8...| */
	$"FFFF FFFF FFFF FFEF FFFF FFC7 0000 0000"            /* ............... */
};


data 'icl4' (kDesktopIconID + 1, sysheap, purgeable)
{
	$"00DE EED0 0000 0000 0000 0000 0DEE ED00"            /* .............. */
	$"00E0 00EF FFFF FFFF FFFF FFFF FE00 0E00"            /* ................ */
	$"00E0 CCE0 0000 0000 0000 0000 0E0C CE00"            /* .............. */
	$"00E0 CCE0 CCCC CCCC CCCC CCCC CE0C CE00"            /* ..... */
	$"00E0 CCE0 CCCC CCCC CCCC CCCC CE0C CE00"            /* ..... */
	$"00E0 CCED DDDD DDDD DDDD DDDD DE0C CE00"            /* .............. */
	$"00E0 CCEF FEEE EEEF EEEE EEEF FE0C CE00"            /* .............. */
	$"00E0 CCEF FE00 00F0 0000 00EF FE0C CE00"            /* .............. */
	$"00E0 CCEF FE00 0F00 0000 00EF FE0C CE00"            /* .............. */
	$"00E0 CCEC CE00 0F00 0000 00EC CE0C CE00"            /* ............ */
	$"00E0 CCEC CE00 0330 0000 00EC CE0C CE00"            /* .....0...... */
	$"00E0 CCEE EE00 0003 3300 00EE EE0C CE00"            /* .......3...... */
	$"00E0 CCE0 0E00 0000 0030 00E0 0E0C CE00"            /* ........0..... */
	$"00DE EED0 0E00 0000 0003 00E0 0DEE ED00"            /* .............. */
	$"000D EF00 0E00 0000 0003 00E0 00DE F000"            /* ............... */
	$"000D EF00 0E00 0000 0003 00E0 00DE F000"            /* ............... */
	$"000D EF00 0E00 0000 0003 00E0 00DE F000"            /* ............... */
	$"000D EF00 0E00 0000 0000 00E0 00DE F000"            /* ............... */
	$"000D EF0E EEEE EEEE EEEE ECE0 00DE F000"            /* ............... */
	$"000D EF0E CCCC CCCC CCCC CEE0 00DE F000"            /* ........ */
	$"000D EF00 EEEE EEEE EEEE EEE0 00DE F000"            /* ............... */
	$"000D EF00 0000 0000 0000 0000 00DE F000"            /* ............... */
	$"000D EF00 0000 0000 0000 0000 00DE F000"            /* ............... */
	$"000D EF00 0000 0000 0000 0000 00DE F000"            /* ............... */
	$"000D EF00 0000 0000 0000 0000 00DE F000"            /* ............... */
	$"000D EF00 0000 0000 0000 0000 00DE F000"            /* ............... */
	$"000D EF00 0000 0000 0000 0000 00DE F000"            /* ............... */
	$"0000 0000 0000 0000 0000 0000 0FCF CA00"            /* .............. */
	$"CCCC CCCC CCDD DDDD EEEE AAAA ACCF CCEE"            /* ...... */
	$"0000 00CC CCCC CCCC CCCC CCCC CCF0 FCCC"            /* ..... */
	$"CCCC CDDD DDDE EEEE EAAA FAAA AF00 0FEE"            /* .......... */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
};


data 'icl8' (kDesktopIconID + 1, sysheap, purgeable)
{
	$"0000 F9FC FCFC F900 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 00F9 FCFC FCF9 0000"            /* ................ */
	$"0000 FC00 0000 FCFE FEFE FEFE FEFE FEFE"            /* ................ */
	$"FEFE FEFE FEFE FEFE FEFC 0000 00FC 0000"            /* ................ */
	$"0000 FC00 2B2B FC00 0000 0000 0000 0000"            /* ....++.......... */
	$"0000 0000 0000 0000 00FC 002B 2BFC 0000"            /* ...........++... */
	$"0000 FC00 2B2B FC00 2B2B 2B2B 2B2B 2B2B"            /* ....++..++++++++ */
	$"2B2B 2B2B 2B2B 2B2B 2BFC 002B 2BFC 0000"            /* +++++++++..++... */
	$"0000 FC00 2B2B FC00 2B2B 2B2B 2B2B 2B2B"            /* ....++..++++++++ */
	$"2B2B 2B2B 2B2B 2B2B 2BFC 002B 2BFC 0000"            /* +++++++++..++... */
	$"0000 FC00 2B2B FCF9 F9F9 F9F9 F9F9 F9F9"            /* ....++.......... */
	$"F9F9 F9F9 F9F9 F9F9 F9FC 002B 2BFC 0000"            /* ...........++... */
	$"0000 FC00 2B2B FCFF FFFC FCFC FCFC FCFE"            /* ....++.......... */
	$"FCFC FCFC FCFC FCFF FFFC 002B 2BFC 0000"            /* ...........++... */
	$"0000 FC00 2B2B FCFE FEFC 0000 0000 FF00"            /* ....++.......... */
	$"0000 0000 0000 FCFE FEFC 002B 2BFC 0000"            /* ...........++... */
	$"0000 FC00 2B2B FCFE FEFC 0000 00FF 0000"            /* ....++.......... */
	$"0000 0000 0000 FCFE FEFC 002B 2BFC 0000"            /* ...........++... */
	$"0000 FC00 2B2B FC2B 2BFC 0000 00FF 0000"            /* ....++.++....... */
	$"0000 0000 0000 FC2B 2BFC 002B 2BFC 0000"            /* .......++..++... */
	$"0000 FC00 2B2B FC2B 2BFC 0000 00D7 D700"            /* ....++.++..... */
	$"0000 0000 0000 FC2B 2BFC 002B 2BFC 0000"            /* .......++..++... */
	$"0000 FC00 2B2B FCFC FCFC 0000 0000 00D7"            /* ....++......... */
	$"D7D7 0000 0000 FCFC FCFC 002B 2BFC 0000"            /* .........++... */
	$"0000 FC00 2B2B FC00 00FC 0000 0000 0000"            /* ....++.......... */
	$"0000 D700 0000 FC00 00FC 002B 2BFC 0000"            /* ..........++... */
	$"0000 F9FC FCFC F900 00FC 0000 0000 0000"            /* ................ */
	$"0000 00D7 0000 FC00 00F9 FCFC FCF9 0000"            /* ............... */
	$"0000 00F9 FCFF 0000 00FC 0000 0000 0000"            /* ................ */
	$"0000 00D7 0000 FC00 0000 F9FC FF00 0000"            /* ............... */
	$"0000 00F9 FCFF 0000 00FC 0000 0000 0000"            /* ................ */
	$"0000 00D7 0000 FC00 0000 F9FC FF00 0000"            /* ............... */
	$"0000 00F9 FCFF 0000 00FC 0000 0000 0000"            /* ................ */
	$"0000 00D7 0000 FC00 0000 F9FC FF00 0000"            /* ............... */
	$"0000 00F9 FCFF 0000 00FC 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 FC00 0000 F9FC FF00 0000"            /* ................ */
	$"0000 00F9 FCFF 00FC FCFC FCFC FCFC FCFC"            /* ................ */
	$"FCFC FCFC FC2B FC00 0000 F9FC FF00 0000"            /* .....+.......... */
	$"0000 00F9 FCFF 00FC 2B2B 2B2B 2B2B 2B2B"            /* ........++++++++ */
	$"2B2B 2B2B 2BFC FC00 0000 F9FC FF00 0000"            /* +++++........... */
	$"0000 00F9 FCFF 0000 FCFC FCFC FCFC FCFC"            /* ................ */
	$"FCFC FCFC FCFC FC00 0000 F9FC FF00 0000"            /* ................ */
	$"0000 00F9 FCFF 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 F9FC FF00 0000"            /* ................ */
	$"0000 00F9 FCFF 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 F9FC FF00 0000"            /* ................ */
	$"0000 00F9 FCFF 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 F9FC FF00 0000"            /* ................ */
	$"0000 00F9 FCFF 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 F9FC FF00 0000"            /* ................ */
	$"0000 00F9 FCFF 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 F9FC FF00 0000"            /* ................ */
	$"0000 00F9 FCFF 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 F9FC FF00 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 00FF 2BFE 2BFD 0000"            /* ..........+.+... */
	$"F6F6 F6F6 F7F7 F7F8 F8F8 F9F9 F9FA FAFA"            /* ................ */
	$"FBFB FBFC FDFD FDFD FD2B 2BFE 2B2B FCFC"            /* .........++.++.. */
	$"F5F5 F5F5 F5F5 F6F6 F6F6 F6F6 F62B 2B2B"            /* .............+++ */
	$"F72B 2B2B 2B2B F7F7 F72B FE00 FE2B 2B2B"            /* .+++++...+...+++ */
	$"F7F7 F8F8 F8F9 F9F9 FAFA FAFB FBFB FCFC"            /* ................ */
	$"FCFD FDFD FEFD FDFD FDFE 0000 00FE FCFC"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
};

/* ===== Following are the 3 definitions for the plotter's current, non-shared desktop icon ===== */

data 'ICN#' (kDesktopIconID + 2, sysheap, purgeable)
{
	$"1E00 0078 3FFF FFFC 3FFF FFFC 3BFF FFDC"            /* ...x?...?...;... */
	$"3A00 005C 3A00 005C 3BFF FFDC 3BC2 03DC"            /* :..\:..\;...;.. */
	$"3BC4 03DC 3A44 025C 3A46 025C 3BC1 C3DC"            /* ;..:D.\:F.\;. */
	$"3A40 225C 3C40 123C 1C40 1238 1C40 1238"            /* :@"\<@.<.@.8.@.8 */
	$"1C40 1238 1C40 0238 1DFF FA38 1D00 0638"            /* .@.8.@.8...8...8 */
	$"1CFF FE38 1C00 0038 1C00 0038 1C00 0038"            /* ...8...8...8...8 */
	$"1C00 0038 1C00 0038 1FFF FFF8 3C00 003C"            /* ...8...8....<..< */
	$"7C00 003E FFFF FFFF FFFF FFFF FFFF FFFF"            /* |..>............ */
	$"1E00 0078 3FFF FFFC 3FFF FFFC 3FFF FFFC"            /* ...x?...?...?... */
	$"3FFF FFFC 3FFF FFFC 3FFF FFFC 3FFF FFFC"            /* ?...?...?...?... */
	$"3FFF FFFC 3FFF FFFC 3FFF FFFC 3FFF FFFC"            /* ?...?...?...?... */
	$"3E7F FE7C 3C7F FE3C 1C7F FE38 1C7F FE38"            /* >..|<..<...8...8 */
	$"1C7F FE38 1C7F FE38 1DFF FE38 1DFF FE38"            /* ...8...8...8...8 */
	$"1CFF FE38 1C00 0038 1C00 0038 1C00 0038"            /* ...8...8...8...8 */
	$"1C00 0038 1C00 0038 1FFF FFF8 3FFF FFFC"            /* ...8...8....?... */
	$"7FFF FFFE FFFF FFFF FFFF FFFF FFFF FFFF"            /* ................ */
};


data 'icl4' (kDesktopIconID + 2, sysheap, purgeable)
{
	$"000F FFF0 0000 0000 0000 0000 0FFF F000"            /* ................ */
	$"00FF FFFF FFFF FFFF FFFF FFFF FFFF FF00"            /* ................ */
	$"00FF FFFF FFFF FFFF FFFF FFFF FFFF FF00"            /* ................ */
	$"00FF FCFF FFFF FFFF FFFF FFFF FF0F FF00"            /* ................ */
	$"00FF FCE0 CCCC CCCC CCCC CCCC CE0F FF00"            /* ....... */
	$"00FF FCED DDDD DDDD DDDD DDDD DE0F FF00"            /* ................ */
	$"00FF FCEF FEEE EEEF EEEE EEEF FE0F FF00"            /* ................ */
	$"00FF FCEF FE00 00F0 0000 00EF FE0F FF00"            /* ................ */
	$"00FF FCEF FE00 0F00 0000 00EF FE0F FF00"            /* ................ */
	$"00FF FCEC CE00 0F00 0000 00EC CE0F FF00"            /* .............. */
	$"00FF FCEC CE00 0330 0000 00EC CE0F FF00"            /* ......0....... */
	$"00FF FCEE EE00 0003 3300 00EE EE0F FF00"            /* ........3....... */
	$"00FF FCE0 0E00 0000 0030 00E0 0E0F FF00"            /* .........0...... */
	$"00FF FFD0 0E00 0000 0003 00E0 0DFF FF00"            /* .............. */
	$"000F FF00 0E00 0000 0003 00E0 00FF F000"            /* ................ */
	$"000F FF00 0E00 0000 0003 00E0 00FF F000"            /* ................ */
	$"000F FF00 0E00 0000 0003 00E0 00FF F000"            /* ................ */
	$"000F FF00 0E00 0000 0000 00E0 00FF F000"            /* ................ */
	$"000F FF0E EEEE EEEE EEEE ECE0 00FF F000"            /* ................ */
	$"000F FF0E CCCC CCCC CCCC CEE0 00FF F000"            /* ......... */
	$"000F FF00 EEEE EEEE EEEE EEE0 00FF F000"            /* ................ */
	$"000F FF00 0000 0000 0000 0000 00FF F000"            /* ................ */
	$"000F FF00 0000 0000 0000 0000 00FF F000"            /* ................ */
	$"000F FF00 0000 0000 0000 0000 00FF F000"            /* ................ */
	$"000F FF00 0000 0000 0000 0000 00FF F000"            /* ................ */
	$"000F FF00 0000 0000 0000 0000 00FF F000"            /* ................ */
	$"000F FFFF FFFF FFFF FFFF FFFF FFFF F000"            /* ................ */
	$"00FF FF00 0000 0000 0000 0000 00FF FF00"            /* ................ */
	$"0FFF FF00 0000 0000 0000 0000 00FF FFF0"            /* ................ */
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"            /* ................ */
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"            /* ................ */
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"            /* ................ */
};


data 'icl8' (kDesktopIconID + 2, sysheap, purgeable)
{
	$"0000 00FF FFFF FF00 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 00FF FFFF FF00 0000"            /* ................ */
	$"0000 FFFF FFFF FFFF FFFF FFFF FFFF FFFF"            /* ................ */
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF 0000"            /* ................ */
	$"0000 FFFF FFFF FFFF FFFF FFFF FFFF FFFF"            /* ................ */
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF 0000"            /* ................ */
	$"0000 FFFF FF2B FFFF FFFF FFFF FFFF FFFF"            /* .....+.......... */
	$"FFFF FFFF FFFF FFFF FFFF 00FF FFFF 0000"            /* ................ */
	$"0000 FFFF FF2B FC00 2B2B 2B2B 2B2B 2B2B"            /* .....+..++++++++ */
	$"2B2B 2B2B 2B2B 2B2B 2BFC 00FF FFFF 0000"            /* +++++++++....... */
	$"0000 FFFF FF2B FCF9 F9F9 F9F9 F9F9 F9F9"            /* .....+.......... */
	$"F9F9 F9F9 F9F9 F9F9 F9FC 00FF FFFF 0000"            /* ................ */
	$"0000 FFFF FF2B FCFF FFFC FCFC FCFC FCFE"            /* .....+.......... */
	$"FCFC FCFC FCFC FCFF FFFC 00FF FFFF 0000"            /* ................ */
	$"0000 FFFF FF2B FCFE FEFC 0000 0000 FF00"            /* .....+.......... */
	$"0000 0000 0000 FCFE FEFC 00FF FFFF 0000"            /* ................ */
	$"0000 FFFF FF2B FCFE FEFC 0000 00FF 0000"            /* .....+.......... */
	$"0000 0000 0000 FCFE FEFC 00FF FFFF 0000"            /* ................ */
	$"0000 FFFF FF2B FC2B 2BFC 0000 00FF 0000"            /* .....+.++....... */
	$"0000 0000 0000 FC2B 2BFC 00FF FFFF 0000"            /* .......++....... */
	$"0000 FFFF FF2B FC2B 2BFC 0000 00D7 D700"            /* .....+.++..... */
	$"0000 0000 0000 FC2B 2BFC 00FF FFFF 0000"            /* .......++....... */
	$"0000 FFFF FF2B FCFC FCFC 0000 0000 00D7"            /* .....+......... */
	$"D7D7 0000 0000 FCFC FCFC 00FF FFFF 0000"            /* .............. */
	$"0000 FFFF FF2B FC00 00FC 0000 0000 0000"            /* .....+.......... */
	$"0000 D700 0000 FC00 00FC 00FF FFFF 0000"            /* ............... */
	$"0000 FFFF FFFF F900 00FC 0000 0000 0000"            /* ................ */
	$"0000 00D7 0000 FC00 00F9 FFFF FFFF 0000"            /* ............... */
	$"0000 00FF FFFF 0000 00FC 0000 0000 0000"            /* ................ */
	$"0000 00D7 0000 FC00 0000 FFFF FF00 0000"            /* ............... */
	$"0000 00FF FFFF 0000 00FC 0000 0000 0000"            /* ................ */
	$"0000 00D7 0000 FC00 0000 FFFF FF00 0000"            /* ............... */
	$"0000 00FF FFFF 0000 00FC 0000 0000 0000"            /* ................ */
	$"0000 00D7 0000 FC00 0000 FFFF FF00 0000"            /* ............... */
	$"0000 00FF FFFF 0000 00FC 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 FC00 0000 FFFF FF00 0000"            /* ................ */
	$"0000 00FF FFFF 00FC FCFC FCFC FCFC FCFC"            /* ................ */
	$"FCFC FCFC FC2B FC00 0000 FFFF FF00 0000"            /* .....+.......... */
	$"0000 00FF FFFF 00FC 2B2B 2B2B 2B2B 2B2B"            /* ........++++++++ */
	$"2B2B 2B2B 2BFC FC00 0000 FFFF FF00 0000"            /* +++++........... */
	$"0000 00FF FFFF 0000 FCFC FCFC FCFC FCFC"            /* ................ */
	$"FCFC FCFC FCFC FC00 0000 FFFF FF00 0000"            /* ................ */
	$"0000 00FF FFFF 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 FFFF FF00 0000"            /* ................ */
	$"0000 00FF FFFF 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 FFFF FF00 0000"            /* ................ */
	$"0000 00FF FFFF 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 FFFF FF00 0000"            /* ................ */
	$"0000 00FF FFFF 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 FFFF FF00 0000"            /* ................ */
	$"0000 00FF FFFF 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 FFFF FF00 0000"            /* ................ */
	$"0000 00FF FFFF FFFF FFFF FFFF FFFF FFFF"            /* ................ */
	$"FFFF FFFF FFFF FFFF FFFF FFFF FF00 0000"            /* ................ */
	$"0000 FFFF FFFF F5F5 F5F5 F5F5 F5F5 F5F5"            /* ................ */
	$"F5F5 F5F5 F5F5 F5F5 F5F5 FFFF FFFF 0000"            /* ................ */
	$"00FF FFFF FFFF F5F5 F5F5 F5F5 F5F5 F5F5"            /* ................ */
	$"F5F5 F5F5 F5F5 F5F5 F5F5 FFFF FFFF FF00"            /* ................ */
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"            /* ................ */
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"            /* ................ */
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"            /* ................ */
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"            /* ................ */
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"            /* ................ */
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"            /* ................ */
};

/* ===== Following are the 3 definitions for the plotter's current, shared desktop icon ===== */

data 'ICN#' (kDesktopIconID + 3, sysheap, purgeable)
{
	$"1E00 0078 3FFF FFFC 3FFF FFFC 3BFF FFDC"            /* ...x?...?...;... */
	$"3A00 005C 3A00 005C 3BFF FFDC 3BF2 0FDC"            /* :..\:..\;...;... */
	$"3BF4 0FDC 3BF4 0FDC 3BF6 0FDC 3FF1 CFFC"            /* ;...;...;...?.. */
	$"3E70 2E7C 3E70 1E7C 1C70 1E38 1C70 1E38"            /* >p.|>p.|.p.8.p.8 */
	$"1C70 1E38 1C70 0E38 1DFF FE38 1DFF FE38"            /* .p.8.p.8...8...8 */
	$"1CFF FE38 1C00 0038 1C00 0038 1C00 0038"            /* ...8...8...8...8 */
	$"1C00 0038 1C00 0038 1C00 0038 0000 0054"            /* ...8...8...8...T */
	$"BFFF FF91 0000 0028 BFFF FFC5 0000 0000"            /* .....(...... */
	$"1E00 0078 3FFF FFFC 3FFF FFFC 3FFF FFFC"            /* ...x?...?...?... */
	$"3FFF FFFC 3FFF FFFC 3FFF FFFC 3FFF FFFC"            /* ?...?...?...?... */
	$"3FFF FFFC 3FFF FFFC 3FFF FFFC 3FFF FFFC"            /* ?...?...?...?... */
	$"3E7F FE7C 3E7F FE7C 1C7F FE38 1C7F FE38"            /* >..|>..|...8...8 */
	$"1C7F FE38 1C7F FE38 1DFF FE38 1DFF FE38"            /* ...8...8...8...8 */
	$"1CFF FE38 1C00 0038 1C00 0038 1C00 0038"            /* ...8...8...8...8 */
	$"1C00 0038 1C00 0038 1C00 0038 0000 007C"            /* ...8...8...8...| */
	$"FFFF FFFF FFFF FFEF FFFF FFC7 0000 0000"            /* ............... */
};


data 'icl4' (kDesktopIconID + 3, sysheap, purgeable)
{
	$"000F FFF0 0000 0000 0000 0000 0FFF F000"            /* ................ */
	$"00FF FFFF FFFF FFFF FFFF FFFF FFFF FF00"            /* ................ */
	$"00FF FFFF FFFF FFFF FFFF FFFF FFFF FF00"            /* ................ */
	$"00FF FCFF FFFF FFFF FFFF FFFF FF0F FF00"            /* ................ */
	$"00FF FCE0 CCCC CCCC CCCC CCCC CE0F FF00"            /* ....... */
	$"00FF FCED DDDD DDDD DDDD DDDD DE0F FF00"            /* ................ */
	$"00FF FCEF FEFF EEEF EEEE FFEF FE0F FF00"            /* ................ */
	$"00FF FCEF FEFF 00F0 0000 FFEF FE0F FF00"            /* ................ */
	$"00FF FCEF FEFF 0F00 0000 FFEF FE0F FF00"            /* ................ */
	$"00FF FCFF FEFF 0F00 0000 FFFF FE0F FF00"            /* ................ */
	$"00FF FCFF FFFF 0330 0000 FFFF FF0F FF00"            /* .......0........ */
	$"00FF FFFF FFFF 0003 3300 FFFF FFFF FF00"            /* ........3....... */
	$"00FF FFF0 0FFF 0000 0030 FFF0 0FFF FF00"            /* .........0...... */
	$"00FF FFF0 0FFF 0000 0003 FFF0 0FFF FF00"            /* ................ */
	$"000F FF00 0FFF 0000 0003 FFF0 00FE F000"            /* ................ */
	$"000F FF00 0FFF 0000 0003 FFF0 00FE F000"            /* ................ */
	$"000F FF00 0FFF 0000 0003 FFF0 00FE F000"            /* ................ */
	$"000F FF00 0FFF 0000 0000 FFF0 00FE F000"            /* ................ */
	$"000F FF0F FFFF EEEE EEEE FFF0 00FE F000"            /* ................ */
	$"000F FF0F FFFF FFFF FFFF FFF0 00FE F000"            /* ................ */
	$"000F FF00 FFFF FFFF FFFF FFF0 00FE F000"            /* ................ */
	$"000F FF00 0000 0000 0000 0000 00FE F000"            /* ................ */
	$"000F FF00 0000 0000 0000 0000 00FE F000"            /* ................ */
	$"000F FF00 0000 0000 0000 0000 00FE F000"            /* ................ */
	$"000F FF00 0000 0000 0000 0000 00FE F000"            /* ................ */
	$"000F FF00 0000 0000 0000 0000 00FE F000"            /* ................ */
	$"000F FF00 0000 0000 0000 0000 00FE F000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0FCF CE00"            /* .............. */
	$"CCCC CCCC CCDD DDDD EEEE EEEE ECCF CCEE"            /* ......... */
	$"0000 00CC CCCC CCCC CCCC CCCC CCF0 FCCC"            /* ..... */
	$"CCCC CDDD DDDE EEEE EEEE EEEE EF00 0FEE"            /* ............. */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
};


data 'icl8' (kDesktopIconID + 3, sysheap, purgeable)
{
	$"0000 00FF FFFF FF00 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 00FF FFFF FF00 0000"            /* ................ */
	$"0000 FFFF FFFF FFFE FEFE FEFE FEFE FEFE"            /* ................ */
	$"FEFE FEFE FEFE FEFE FEFF FFFF FFFF 0000"            /* ................ */
	$"0000 FFFF FFFF FFFF FFFF FFFF FFFF FFFF"            /* ................ */
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF 0000"            /* ................ */
	$"0000 FFFF FF2B FFFF FFFF FFFF FFFF FFFF"            /* .....+.......... */
	$"FFFF FFFF FFFF FFFF FFFF 00FF FFFF 0000"            /* ................ */
	$"0000 FFFF FF2B FC00 2B2B 2B2B 2B2B 2B2B"            /* .....+..++++++++ */
	$"2B2B 2B2B 2B2B 2B2B 2BFC 00FF FFFF 0000"            /* +++++++++....... */
	$"0000 FFFF FF2B FCF9 F9F9 F9F9 F9F9 F9F9"            /* .....+.......... */
	$"F9F9 F9F9 F9F9 F9F9 F9FC 00FF FFFF 0000"            /* ................ */
	$"0000 FFFF FF2B FCFF FFFC FFFF FCFC FCFE"            /* .....+.......... */
	$"FCFC FCFC FFFF FCFF FFFC 00FF FFFF 0000"            /* ................ */
	$"0000 FFFF FF2B FCFE FEFC FFFF 0000 FF00"            /* .....+.......... */
	$"0000 0000 FFFF FCFE FEFC 00FF FFFF 0000"            /* ................ */
	$"0000 FFFF FF2B FCFE FEFC FFFF 00FF 0000"            /* .....+.......... */
	$"0000 0000 FFFF FCFE FEFC 00FF FFFF 0000"            /* ................ */
	$"0000 FFFF FF2B FFFF FFFC FFFF 00FF 0000"            /* .....+.......... */
	$"0000 0000 FFFF FFFF FFFC 00FF FFFF 0000"            /* ................ */
	$"0000 FFFF FF2B FFFF FFFF FFFF 00D7 D700"            /* .....+........ */
	$"0000 0000 FFFF FFFF FFFF 00FF FFFF 0000"            /* ................ */
	$"0000 FFFF FFFF FFFF FFFF FFFF 0000 00D7"            /* ............... */
	$"D7D7 0000 FFFF FFFF FFFF FFFF FFFF 0000"            /* .............. */
	$"0000 FFFF FFFF FF00 00FF FFFF 0000 0000"            /* ................ */
	$"0000 D700 FFFF FF00 00FF FFFF FFFF 0000"            /* ............... */
	$"0000 FFFF FFFF FF00 00FF FFFF 0000 0000"            /* ................ */
	$"0000 00D7 FFFF FF00 00FF FFFF FFFF 0000"            /* ............... */
	$"0000 00FF FFFF 0000 00FF FFFF 0000 0000"            /* ................ */
	$"0000 00D7 FFFF FF00 0000 FFFC FF00 0000"            /* ............... */
	$"0000 00FF FFFF 0000 00FF FFFF 0000 0000"            /* ................ */
	$"0000 00D7 FFFF FF00 0000 FFFC FF00 0000"            /* ............... */
	$"0000 00FF FFFF 0000 00FF FFFF 0000 0000"            /* ................ */
	$"0000 00D7 FFFF FF00 0000 FFFC FF00 0000"            /* ............... */
	$"0000 00FF FFFF 0000 00FF FFFF 0000 0000"            /* ................ */
	$"0000 0000 FFFF FF00 0000 FFFC FF00 0000"            /* ................ */
	$"0000 00FF FFFF 00FF FFFF FFFF FCFC FCFC"            /* ................ */
	$"FCFC FCFC FFFF FF00 0000 FFFC FF00 0000"            /* ................ */
	$"0000 00FF FFFF 00FF FFFF FFFF FFFF FFFF"            /* ................ */
	$"FFFF FFFF FFFF FF00 0000 FFFC FF00 0000"            /* ................ */
	$"0000 00FF FFFF 0000 FFFF FFFF FFFF FFFF"            /* ................ */
	$"FFFF FFFF FFFF FF00 0000 FFFC FF00 0000"            /* ................ */
	$"0000 00FF FFFF 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 FFFC FF00 0000"            /* ................ */
	$"0000 00FF FFFF 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 FFFC FF00 0000"            /* ................ */
	$"0000 00FF FFFF 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 FFFC FF00 0000"            /* ................ */
	$"0000 00FF FFFF 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 FFFC FF00 0000"            /* ................ */
	$"0000 00FF FFFF 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 FFFC FF00 0000"            /* ................ */
	$"0000 00FF FFFF 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 FFFC FF00 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 00FF 2BFE 2BFD 0000"            /* ..........+.+... */
	$"F6F6 F6F6 F7F7 F7F8 F8F8 F9F9 F9FA FAFA"            /* ................ */
	$"FBFB FBFC FDFD FDFD FD2B 2BFE 2B2B FCFC"            /* .........++.++.. */
	$"F5F5 F5F5 F5F5 F6F6 F6F6 F6F6 F62B 2B2B"            /* .............+++ */
	$"F72B 2B2B 2B2B F7F7 F72B FE00 FE2B 2B2B"            /* .+++++...+...+++ */
	$"F7F7 F8F8 F8F9 F9F9 FAFA FAFB FBFB FCFC"            /* ................ */
	$"FCFD FDFD FEFD FDFD FDFE 0000 00FE FCFC"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
};


// these icons are currently unused, but will have to be expanded when DTPs move off the desktop

data 'ics#' (kDesktopIconID, sysheap, purgeable)
{
	$"FFFE 8002 9FF2 9832 9FF2 DE73 5551 5551"            /* ....2..sUQUQ */
	$"54D1 5791 D013 9FF2 A00A BFFA 8002 FFFE"            /* TW....... */
	$"FFFE FFFE FFFE FFFE FFFE FFFF 7FFF 7FFF"            /* ................ */
	$"7FFF 7FFF FFFF FFFE FFFE FFFE FFFE FFFE"            /* ................ */
};


data 'ics4' (kDesktopIconID, sysheap, purgeable)
{
	$"FFFF FFFF FFFF FFF0 F000 0000 0000 00F0"            /* ................ */
	$"F0CD FFFF FFFD C0F0 F00F ECCC CCEF 0CF0"            /* ............ */
	$"F0CF EEEE EEEF C0F0 FF0F EE30 0EEF 0CFF"            /* .........0.... */
	$"0F0F 0E03 0E0F C0CF 0F0F 0E03 0E0F 0C0F"            /* .............. */
	$"0F0F 0ECC EE0F C0CF 0F0F 0EEE E00F 0C0F"            /* ............. */
	$"FFCF 0000 000F C0FF F00F FFFF FFFF 0CF0"            /* .............. */
	$"F0FC 0C0C 0C0C F0F0 F0FF FFFF FFFF FCF0"            /* ................ */
	$"F0C0 C0C0 C0C0 C0F0 FFFF FFFF FFFF FFF0"            /* .......... */
};


data 'ics8' (kDesktopIconID, sysheap, purgeable)
{
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FF00"            /* ................ */
	$"FF00 0000 0000 0000 0000 0000 0000 FF00"            /* ................ */
	$"FF00 F6F9 FFFF FFFF FFFF FFF9 F6F6 FF00"            /* ................ */
	$"FF00 F6FF FC2B 2B2B 2B2B FCFF F6F6 FF00"            /* .....+++++...... */
	$"FF00 F6FF FCFC FCFC FCFC FCFF F6F6 FF00"            /* ................ */
	$"FFFF 00FF FCFC D700 00FC FCFF F6F6 FFFF"            /* ............... */
	$"00FF 00FF 00FC 00D7 00FC 00FF F6F6 F6FF"            /* ............... */
	$"00FF 00FF 00FC 00D7 00FC 00FF F6F6 F6FF"            /* ............... */
	$"00FF 00FF 00FC 2B2B FCFC 00FF F6F6 F6FF"            /* ......++........ */
	$"00FF 00FF 00FC FCFC FC00 00FF F6F6 F6FF"            /* ................ */
	$"FFFF F6FF 0000 0000 0000 00FF F6F6 FFFF"            /* ................ */
	$"FF00 F6FF FFFF FFFF FFFF FFFF F6F6 FF00"            /* ................ */
	$"FF00 FFF5 F5F5 F5F5 F5F5 F5F5 FFF6 FF00"            /* ................ */
	$"FF00 FFFF FFFF FFFF FFFF FFFF FFF6 FF00"            /* ................ */
	$"FF00 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 FF00"            /* ................ */
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FF00"            /* ................ */
};
resource 'icl8' (kDesktopIconID +4, sysheap, purgeable) {
	$"FFFF FFFC FCFC F900 0000 0000 0000 0000 0000 0000 0000 0000 00F9"
	$"FCFF FFFF 0000 FFFF FFFF 0000 FCFE FEFE FEFE FEFE FEFE FEFE FEFE"
	$"FEFE FEFE FEFC FFFF FFFF 0000 FFFF FFFF FF2B FC00 0000 0000 0000"
	$"0000 0000 0000 0000 0000 00FF FFFF FFFF 0000 00FF FFFF FFFF FC00"
	$"2B2B 2B2B 2B2B 2B2B 2B2B 2B2B 2B2B 2B2B FFFF FFFF FFFC 0000 0000"
	$"FFFF FFFF FF00 2B2B 2B2B 2B2B 2B2B 2B2B 2B2B 2B2B 2BFF FFFF FFFF"
	$"2BFC 0000 0000 FCFF FFFF FFFF F9F9 F9F9 F9F9 F9F9 F9F9 F9F9 F9F9"
	$"FFFF FFFF FF2B 2BFC 0000 0000 FC00 FFFF FFFF FFFC FCFC FCFC FCFE"
	$"FCFC FCFC FCFF FFFF FFFF 002B 2BFC 0000 0000 FC00 2BFF FFFF FFFF"
	$"0000 0000 FF00 0000 0000 FFFF FFFF FFFC 002B 2BFC 0000 0000 FC00"
	$"2B2B FFFF FFFF FF00 00FF 0000 0000 00FF FFFF FFFF FEFC 002B 2BFC"
	$"0000 0000 FC00 2B2B FCFF FFFF FFFF 00FF 0000 0000 00FF FFFF FF2B"
	$"2BFC 002B 2BFC 0000 0000 FC00 2B2B FC2B FFFF FFFF FFD7 D700 0000"
	$"FFFF FFFF FC2B 2BFC 002B 2BFC 0000 0000 FC00 2B2B FCFC FCFF FFFF"
	$"FFFF 00D7 D7FF FFFF FF00 FCFC FCFC 002B 2BFC 0000 0000 FC00 2B2B"
	$"FC00 00FC FFFF FFFF FF00 FFFF FFFF 0000 FC00 00FC 002B 2BFC 0000"
	$"0000 F9FC FCFC F900 00FC 00FF FFFF FFFF FFFF FFD7 0000 FC00 00F9"
	$"FCFC FCF9 0000 0000 00F9 FCFF 0000 00FC 0000 FFFF FFFF FFFF 00D7"
	$"0000 FC00 0000 F9FC FF00 0000 0000 00F9 FCFF 0000 00FC 0000 00FF"
	$"FFFF FFFF 00D7 0000 FC00 0000 F9FC FF00 0000 0000 00F9 FCFF 0000"
	$"00FC 0000 FFFF FFFF FFFF FFD7 0000 FC00 0000 F9FC FF00 0000 0000"
	$"00F9 FCFF 0000 00FC 00FF FFFF FFFF FFFF FFFF 0000 FC00 0000 F9FC"
	$"FF00 0000 0000 00F9 FCFF 00FC FCFC FCFF FFFF FFFC FFFF FFFF FFFF"
	$"FC00 0000 F9FC FF00 0000 0000 00F9 FCFF 00FC 2B2B FFFF FFFF 2B2B"
	$"2BFF FFFF FFFC FF00 0000 F9FC FF00 0000 0000 00F9 FCFF 0000 FCFF"
	$"FFFF FFFC FCFC FCFC FFFF FFFF FCFF 0000 F9FC FF00 0000 0000 00F9"
	$"FCFF 0000 FFFF FFFF 0000 0000 0000 00FF FFFF FF00 FF00 F9FC FF00"
	$"0000 0000 00F9 FCFF 00FF FFFF FF00 0000 0000 0000 0000 FFFF FFFF"
	$"00FF F9FC FF00 0000 0000 00F9 FCFF FFFF FFFF 0000 0000 0000 0000"
	$"0000 00FF FFFF FF00 FFFC FF00 0000 0000 00F9 FCFF FFFF FF00 0000"
	$"0000 0000 0000 0000 0000 FFFF FFFF F9FF FF00 0000 0000 00F9 FFFF"
	$"FFFF 0000 0000 0000 0000 0000 0000 0000 00FF FFFF FFFC FF00 0000"
	$"0000 00FF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF 0000 0000 FFFF FFFF F5F5 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5FF FFFF FFFF FF00 00FF FFFF FFFF F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5F5 F5F5 F5F5 F5F5 FFFF FFFF FFFF FFFF FFFF F5F5 F5F5"
	$"F5F5 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5 F5FF FFFF FFFF FFFF"
	$"FFF5 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF"
};

resource 'icl4' (kDesktopIconID +4, sysheap, purgeable) {
	$"FFFE EED0 0000 0000 0000 0000 0DEF FF00 FFFF 00EF FFFF FFFF FFFF"
	$"FFFF FEFF FF00 FFFF FCE0 0000 0000 0000 0000 0FFF FF00 0FFF FFE0"
	$"CCCC CCCC CCCC CCCC FFFF FE00 00FF FFF0 CCCC CCCC CCCC CCCF FFFF"
	$"CE00 00EF FFFF DDDD DDDD DDDD DDFF FFFC CE00 00E0 FFFF FEEE EEEF"
	$"EEEE EFFF FF0C CE00 00E0 CFFF FF00 00F0 0000 FFFF FE0C CE00 00E0"
	$"CCFF FFF0 0F00 000F FFFF FE0C CE00 00E0 CCEF FFFF 0F00 000F FFFC"
	$"CE0C CE00 00E0 CCEC FFFF F330 00FF FFEC CE0C CE00 00E0 CCEE EFFF"
	$"FF03 3FFF F0EE EE0C CE00 00E0 CCE0 0EFF FFF0 FFFF 00E0 0E0C CE00"
	$"00DE EED0 0E0F FFFF FFF3 00E0 0DEE ED00 000D EF00 0E00 FFFF FF03"
	$"00E0 00DE F000 000D EF00 0E00 0FFF FF03 00E0 00DE F000 000D EF00"
	$"0E00 FFFF FFF3 00E0 00DE F000 000D EF00 0E0F FFFF FFFF 00E0 00DE"
	$"F000 000D EF0E EEEF FFFE FFFF FFE0 00DE F000 000D EF0E CCFF FFCC"
	$"CFFF FEF0 00DE F000 000D EF00 EFFF FEEE EEFF FFEF 00DE F000 000D"
	$"EF00 FFFF 0000 000F FFF0 F0DE F000 000D EF0F FFF0 0000 0000 FFFF"
	$"0FDE F000 000D EFFF FF00 0000 0000 0FFF F0FE F000 000D EFFF F000"
	$"0000 0000 00FF FFDF F000 000D FFFF 0000 0000 0000 000F FFFE F000"
	$"000F FFFF FFFF FFFF FFFF FFFF FFFF FF00 00FF FF00 0000 0000 0000"
	$"0000 0FFF FFF0 0FFF FF00 0000 0000 0000 0000 00FF FFFF FFFF 0000"
	$"0000 0000 0000 0000 000F FFFF FFF0 0000 0000 0000 0000 0000 0000"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
};

resource 'ICN#' (kDesktopIconID +4, sysheap, purgeable) {
	{	/* array: 2 elements */
		/* [1] */
		$"FC00 003C F3FF FFFC FA00 007C 7E00 00FC 3E00 01F4 3F00 03E4 2FFF"
		$"FFC4 27C2 0FC4 23E4 1FC4 23F4 1E44 22FE 3E44 23FD FBC4 227E F244"
		$"1C5F F238 0C4F D218 0C47 D218 0C4F F218 0C5F F218 0DFF FE18 0D3C"
		$"7E18 0CFF FF18 0CF0 1E98 0DE0 0F58 0FC0 07B8 0F80 03D8 0F00 01F8"
		$"1FFF FFFC 3C00 007E 7C00 003F F000 001F E000 000F FFFF FFFF",
		/* [2] */
		$"FE00 007C FFFF FFFC FFFF FFFC 7FFF FFFC 3FFF FFFC 3FFF FFFC 3FFF"
		$"FFFC 3FFF FFFC 3FFF FFFC 3FFF FFFC 3FFF FFFC 3FFF FFFC 3FFF FFFC"
		$"3FFF FFFC 1FFF FFF8 1FFF FFF8 1FFF FFF8 1FFF FFF8 1FFF FFF8 1FFF"
		$"FFF8 1FFF FFF8 1FFF FFF8 1FFF FFF8 1FFF FFF8 1FFF FFF8 1FFF FFF8"
		$"1FFF FFFC 3FFF FFFE 7FFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	}
};


/* ===== 'FREF' for the driver icon and file ===== */

resource 'FREF' (kDesktopIconID, sysheap, purgeable)
{
	kDriverFileType,
	0,
	""
};


/* ===== 'FREF's for the desktop printer icons and file ===== */

resource 'FREF' (kDesktopIconID + 1, 	sysheap, purgeable) { 'dpnn', 1, "" };
resource 'FREF' (kDesktopIconID + 2, 	sysheap, purgeable) { 'dpns', 2, "" };
resource 'FREF' (kDesktopIconID + 3, 	sysheap, purgeable) { 'dpcn', 3, "" };
resource 'FREF' (kDesktopIconID + 4, 	sysheap, purgeable) { 'dpcs', 4, "" };
resource 'FREF' (kDesktopIconID + 5, 	sysheap, purgeable) { 'dppz', 5, "" };
resource 'FREF' (kDesktopIconID + 6, 	sysheap, purgeable) { 'dvcf', 6, "" };
resource 'FREF' (kDesktopIconID + 7, 	sysheap, purgeable) { 'dpna', 7, "" };


/* ===== 'BNDL' and icon for the HPGL driver ===== */

resource 'BNDL' (gxPrintingDriverBaseID + 1, sysheap, purgeable)
{
	kDriverCreatorType,
	0,
	{	'ICN#',
		{	0, kDeskTopIconId;
			1, kDeskTopIconId;
			2, kDeskTopIconId + 1;
			3, kDeskTopIconId + 2;
			4, kDeskTopIconId + 3;
			5, kDeskTopIconId;
			6, kDeskTopIconId + 4;
			7, kDeskTopIconId + 4;
		},
		'FREF',
		{	0, kDeskTopIconId;
			1, kDeskTopIconId + 1;
			2, kDeskTopIconId + 2;
			3, kDeskTopIconId + 3;
			4, kDeskTopIconId + 4;
			5, kDeskTopIconId + 5;
			6, kDeskTopIconId + 6;
			7, kDesktopIconID + 7;
		}
	}
};


type kDriverCreatorType
{
	pstring;
};


resource kDriverCreatorType (0, sysheap, purgeable)
{
	kDriverName " driver " kHPXLDriverVersion;
};



/* ===== This table contains the HPXL language command strings used for packaging data ===== */

resource 'STR#' (kHPXLCmndStringsID, sysheap, purgeable)
{
	{
		/* 1 kInitIdx */ 		"IN;BP;TR0;CR0,32767,0,32767,0,32767;";
		/* 2 kSetPenIdx*/ 		"SP%d;";
		/* 3 kSetWindowIdx*/ 	"SC%d,%d,%d,%d;";								
		/* 4 kLineIdx*/ 		"PA%d,%d;PD%d,%d;PU;";
		/* 5 kRectIdx*/ 		"PA%d,%d;EA%d,%d;";
		/* 6 kFilledRectIdx*/ 	"PA%d,%d;RA%d,%d;";
		/* 7 kInitPolyIdx*/ 	"PA%d,%d;PM0;PD";
		/* 8 kDataIdx*/ 		"%d,%d";
		/* 9 kCommaIdx*/ 		",";
		/* 10 kTermPolyIdx*/ 	";PM1;";
		/* 11 kInitLinesIdx*/ 	"PA%d,%d;PD";
		/* 12 kTermLinesIdx*/ 	";PU;";
        /* 13 kTermPolysIdx*/    "PM2;";
        /* 14 kFillIdx */		 "FP;";
		/* 15 kEdgeIdx */        "EP;";
		/* 16 kTermGlyphIdx*/ 	";PM1;PM2;EP;";
		/* 17 kTermPageIdx*/ 	"PG;";
		/* 18 kSetPenWidthIdX*/ "PW%f;";
		/* 19 kSetPenColorIdx*/ "PC%d,%d,%d,%d;";
	
	}
};

  
/* ===== Following are the paper type definitions supported by the HPXL driver ===== */

/* ===== US Letter Paper Size ===== */

resource 'ptyp' (gxPrintingDriverBaseID + 1, sysheap, purgeable)
{
	"US Letter",

	0x00000000,					/* Paper dimensions: 215.9 mm X 279.4 mm */
	0x00000000,
	0x020EF5EC,
	0x027EEDDC,
	
	-0x2A850A,					/* left, right, and top margins: 15 mm */
	-0x2A850A,					/* bottom margin: 39 mm */
	0x02397AF6,
	0x02ED7AF6,

	usLetterBase,
	kDriverCreatorType,
	
	
	mm,
	newStylePaperType,
	isDefaultPaperType,
	{}
};

/* ===== A Letter Paper Size  ===== */

resource 'ptyp' (gxPrintingDriverBaseID + 2, sysheap, purgeable)
{
	"A Letter",

	0x00000000,					/* 8.17 x 10.72 */
	0x00000000,
	0x24C3D68,
	0x303D710,

	-0xBE14C,					/* 8.5 x 11.0 */
	-0xA1478,					
	0x2581EB4,
	0x30DEB87,

	usLetterBase,
	kDriverCreatorType,

	inch,
	newStylePaperType,
	notDefaultPaperType,
	{}
};


/* ===== B Letter ===== */

resource 'ptyp' (gxPrintingDriverBaseID + 3, sysheap, purgeable)
{
	"B Letter",

	0x00000000,					/* 10.66 x 16.61 */
	0x00000000,					
	0x2FF8530,					
	0x4AB3334,					

	-0xC3D68,					/* 11.0 x 17.0 */
	-0xE6666,					
	0x30BC298,					
	0x4B9999A,					

	usLetterBase,
	kDriverCreatorType,

	inch,
	newStylePaperType,
	notDefaultPaperType,
	{}
};


/* ===== A4 Letter Paper Size ===== */

resource 'ptyp' (gxPrintingDriverBaseID + 4, sysheap, purgeable)
{
	"A4 Letter",
	
	/* page rectangle */
	0x00000000,					/* 203.1 x 289.9 */
	0x00000000,					
	0x23FB770,					
	0x335C386,					
	
	-0x9C78F,					/* 210 x 297 mm  */
	-0xA1021,					
	0x2497EFE,					
	0x33FD3A7,					

	a4LetterBase,
	kDriverCreatorType,
	
	mm,
	newStylePaperType,
	notDefaultPaperType,
	{}
};



/* ===== A3 Letter Paper Size ===== */

resource 'ptyp' (gxPrintingDriverBaseID + 5, sysheap, purgeable)
{
	"A3 Letter",
	
	/* page rectangle */
	0x00000000,					/* 279.8 x 409.9 */
	0x00000000,					
	0x3192245,					
	0x489EBD6,					
	
	-0x1860C2,					/* 297 x 420 mm */
	-0xE50A2,					
	0x3318306,					
	0x4983C78,					

	a4LetterBase,
	kDriverCreatorType,
	
	mm,
	newStylePaperType,
	notDefaultPaperType,
	{}
};

/* ===== old paper types ===== */

/* ===== US Letter Paper Size ===== */

resource 'ptyp' (gxPrintingDriverBaseID + 1, sysheap, purgeable)
{
	"US Letter",
	
	0x00000000,					/* Paper dimensions: 215.9 mm X 279.4 mm */
	0x00000000,
	0x020EF5EC,
	0x027EEDDC,
	
	-0x2A850A,					/* left, right, and top margins: 15 mm */
	-0x2A850A,					/* bottom margin: 39 mm */
	0x02397AF6,
	0x02ED7AF6,

	usLetterBase,
	kDriverCreatorType,
	
	mm,
	oldStylePaperType,
	isDefaultPaperType,
	{}
};

/* ===== A Letter Paper Size  ===== */

resource 'ptyp' (gxPrintingDriverBaseID + 2, sysheap, purgeable)
{
	"A Letter",

	0x00000000,					/* 8.17 x 10.72 */
	0x00000000,
	0x24C3D68,
	0x303D710,

	-0xBE14C,					/* 8.5 x 11.0 */
	-0xA1478,					
	0x2581EB4,
	0x30DEB87,

	usLetterBase,
	kDriverCreatorType,

	inch,
	oldStylePaperType,
	notDefaultPaperType,
	{}
};


/* ===== B Letter ===== */

resource 'ptyp' (gxPrintingDriverBaseID + 3, sysheap, purgeable)
{
	"B Letter",

	0x00000000,					/* 10.66 x 16.61 */
	0x00000000,					
	0x2FF8530,					
	0x4AB3334,					

	-0xC3D68,					/* 11.0 x 17.0 */
	-0xE6666,					
	0x30BC298,					
	0x4B9999A,					

	usLetterBase,
	kDriverCreatorType,

	inch,
	oldStylePaperType,
	notDefaultPaperType,
	{}
};


/* ===== A4 Letter Paper Size ===== */

resource 'ptyp' (gxPrintingDriverBaseID + 4, sysheap, purgeable)
{
	"A4 Letter",
	
	/* page rectangle */
	0x00000000,					/* 203.1 x 289.9 */
	0x00000000,					
	0x23FB770,					
	0x335C386,					
	
	-0x9C78F,					/* 210 x 297 mm  */
	-0xA1021,					
	0x2497EFE,					
	0x33FD3A7,					

	a4LetterBase,
	kDriverCreatorType,
	
	mm,
	oldStylePaperType,
	notDefaultPaperType,
	{}
};



/* ===== A3 Letter Paper Size ===== */

resource 'ptyp' (gxPrintingDriverBaseID + 5, sysheap, purgeable)
{
	"A3 Letter",
	
	/* page rectangle */
	0x00000000,					/* 279.8 x 409.9 */
	0x00000000,					
	0x3192245,					
	0x489EBD6,					
	
	-0x1860C2,					/* 297 x 420 mm */
	-0xE50A2,					
	0x3318306,					
	0x4983C78,					

	a4LetterBase,
	kDriverCreatorType,
	
	mm,
	oldStylePaperType,
	notDefaultPaperType,
	{}
};

/* =====  old App's print dialog ===== */

resource 'DLOG' (-8191, sysheap, purgeable) {
	{28, 26, 156, 500},
	dBoxProc,
	invisible,
	noGoAway,
	0x1,
	-8191,
	"Job",
	/****** Extra bytes follow... ******/
	centerParentWindow
};


resource 'DITL' (-8191, sysheap, purgeable) {
	{	/* array DITLarray: 18 elements */
		/* [1] */     {8, 404, 27, 464},Button {enabled,"Print"},
		/* [2] */     {35, 404, 54, 464},Button {enabled,"Cancel"},
		/* [3] */     {4, 4, 20, 265},StaticText {disabled,"!0 Print "},
		/* [4] */     {20, 5, 24, 393},UserItem {disabled},
		/* [5] */     {32, 128, 48, 173},StaticText {disabled,"Pages:"},
		/* [6] */     {32, 184, 48, 224},RadioButton {enabled,"All"},
		/* [7] */     {32, 224, 48, 280},RadioButton {enabled,"From:"},
		/* [8] */     {32, 288, 48, 322},EditText {enabled,""},
		/* [9] */     {32, 328, 48, 348},StaticText {disabled,"To:"},
		/* [10] */    {32, 352, 48, 386},EditText {enabled,""},
		/* [11] */    {32, 4, 48, 54},StaticText {disabled,"Copies:"},
		/* [12] */    {32, 60, 48, 86},EditText {disabled,"1"},
		/* [13] */    {60, 4, 76, 97},StaticText {disabled,"Quality Mode:"},
		/* [14] */    {60, 113, 76, 236},RadioButton {enabled,"Best"},
		/* [15] */    {60, 252, 76, 355},RadioButton {enabled,"Fast"},
		/* [16] */    {4, 341, 19, 365},UserItem {enabled},
		/* [17] */    {0, 395, 27, 465},UserItem {disabled},
		/* [18] */    {86, 113, 102, 236}, RadioButton { enabled, "Automatic" },
		/* [19] */    {86, 252, 102, 355}, RadioButton { enabled, "Manual" },
		/* [20] */    {86, 4, 102, 97}, StaticText { disabled, "Paper Feed:" },
	}
};

resource 'dctl' (-8191, sysheap, purgeable) {
	20,
	{	/* array dctlarray: 10 elements */
		/* [1] */   Button {2,cancel},
		/* [2] */   Frill {3,printerName},
		/* [3] */   Frill {4,line},
		/* [4] */   Copies {12},
		/* [5] */   PageRange {6,7,8,10},
		/* [6] */   Cluster {quality,{14, 15}},
		/* [7] */   Cluster {feed,{18, 19}},
		/* [8] */   Frill {16,version},
		/* [9] */   Frill{17,default},
	}
};




/* ===== Following are the resources for displaying the "User Attention" dialogs ===== */

resource 'stat'	(kUserAttentionID, sysheap, purgeable)
{
	kDriverCreatorType,
	{
		userAttention,	 		kManualFeedStatus,		kManualFeedCoolAlrt,	 	"Please insert the next sheet of paper.";
		informationalStatus,	kPrintingStatus,	 	0,								"Printing";
	}
};


resource gxPrintingAlertType (kManualFeedCoolAlrt, sysheap, purgeable)
{
	printingAlert,														/* version */
	stopIcon,														/* icon id */
	defaultSystemSize,											/* text Size */
	defaultAction,													/* the default label */
	cancelTitle2,													/* cancel label */
	"Please insert the next sheet of paper for your manual "
	"feed job, then press Continue.  If you wish to "
	"cancel printing, press the Cancel button.",    	/* text string */
	"Continue",														/* action label */
	"Cancel",														/* button label 2 */
	"",																/* button label 3 */
	"",																	/* font name */
	"Manual Feed"
};



/* ===== Following are the required Printing Manager resources "over", "seg#", etc. ===== */


/* ===== 'isys' - Identifes the imaging system this driver uses ===== */

resource gxImagingSystemSelectorType (gxImagingSystemSelectorID, sysheap, purgeable)
{
	gxVectorPrinterType		// driver uses the vector system
};


/* ===== kOverrideType - Identifies the printing messages the driver wants to receive ===== */

#define segment1ID	0
#define firstOffset	4

resource gxOverrideType (gxDriverUniversalOverrideID, sysheap, purgeable)		// Universal message overrides
{
	{
		/* Entries into code segment # 1 */
		gxInitialize, 			segment1ID, firstOffset,
		gxShutDown, 			segment1ID, firstOffset + 4,
		gxDefaultPrinter,		segment1ID, firstOffset + 8,
		gxStartSendPage,		segment1ID, firstOffset + 12,
		gxFinishSendPage,		segment1ID, firstOffset + 16,
		gxSetupImageData,		segment1ID, firstOffset + 20,
		gxCloseConnection,		segment1ID, firstOffset + 24,
		
	};
};


resource gxOverrideType (gxDriverImagingOverrideID, sysheap, purgeable)		// Vector specific messages
{
	{
		gxVectorPackageData, 	segment1ID, firstOffset + 28,
	};
};


/* ===== 'cust' - specifies settings for old application compatibility ===== */

resource 'cust' (-8192, sysheap, purgeable)
{
	72, 72,					//	DPI at which QuickDraw -> Graphics translation should occur
	defaultUpDriver,		//	translate low-level driver calls to default up-driver
	{1, 1},					//	factor to stretch patterns by (normally DPI/72)
	gxOptimizedTranslation
};


/* ===== kUniversalIOPrefsType - specifies the standard I/O and buffer settings ===== */

resource gxUniversalIOPrefsType (gxUniversalIOPrefsID, sysheap, purgeable)
{
	standardIO,
	4,				// four buffers to allocate for I/O
	1024*2,		// each buffer will be 2K bytes in size
	10,			// number of requests blocks to allocate for I/O subsystems
	1200,			// 1200 tick timout for open/close
	36000,		// timeout for reading and writing
};





