/*
	copyright  1992-1994 Apple Computer Inc.  All rights reserved.
	
	OldApp.r
	This file contains resources needed for old application compatiblity.
	
	Modification history
	 7/23/92		TED				New file today
	12/20/93		dmh				Sync'd with the shipping 1.0b3 GX driver.
	 8/26/94		dmh				Sync'd with the shipping 1.0.1 GX driver.
	 6/14/96		cn				Updated to support Universal Interfaces 2.1.
*/

#include "Types.r"
#include "SysTypes.r"
#include "BalloonTypes.r"

#include "GXPrintingResTypes.r"

#include "CommonDefines.h"			// things common to .r and .h files

/* ----------------------------------------------------------------------------*/
// This resource allows us to customize the old API's behavior - all drivers
// should have a resource of this type

resource 'cust' (-8192, sysheap, purgeable)
{
	144, 144,					// our DPI
	defaultUpDriver,			// we use the default up driver
	{2, 2},						// pattern stretch of 2
	gxOptimizedTranslation + gxRasterTargetTranslation
};

resource 'resl' (-8192, sysheap, purgeable)
{
	rangeType,
	gxDiscreteResolution,	gxDiscreteResolution,
	gxDiscreteResolution,	gxDiscreteResolution,
	{
	72, 	72;
	144, 	144;
	80, 	72;
	160, 	144;
	}
};

/* ----------------------------------------------------------------------------*/
// overrides for old application messages, and where to find them in the jump table
#define firstOffset 4
#define segmentID 	OldSegID

resource gxOverrideType (gxDriverCompatibilityOverrideID, sysheap, purgeable)
{
	{
	gxConvertPrintRecordTo,			segmentID, firstOffset + 0,
	gxConvertPrintRecordFrom,		segmentID, firstOffset + 4,
	gxPrintRecordToJob,				segmentID, firstOffset + 8,
	gxPrValidate,					segmentID, firstOffset + 12,
	gxPrJobInit,					segmentID, firstOffset + 16,
	};
};

/* ----------------------------------------------------------------------------*/
/* page setup dialog */

resource 'DITL' (-8192, sysheap, purgeable) {
	{	/* array DITLarray: 18 elements */
		/* [1] */
		{8, 404, 27, 464},
			Button { enabled, "OK" },
			
		/* [2] */
		{35, 404, 54, 464},
			Button { enabled, "Cancel" },
			
		/* [3] name frill */
		{4, 4, 20, 384},
			StaticText { disabled, DriverName },
		
		/* [4] line frill */
		{20, 4, 24, 393},
			UserItem { disabled },
		
		/* [5] */
		{24, 4, 40, 60},
			StaticText { disabled, "Paper:" },
			
		/* [6] */
		{24, 68, 40, 208},
			RadioButton { enabled, "" },
			
		/* [7] */
		{24, 218, 40, 383},
			RadioButton { enabled, "" },
			
		/* [8] */
		{39, 68, 55, 208},
			RadioButton { enabled, "" },
			
		/* [9] */
		{39, 218, 55, 383},
			RadioButton { enabled, "" },
			
		/* [10] */
		{54, 68, 70, 208},
			RadioButton { enabled, "" },
			
		/* [11] */
		{54, 218, 70, 383},
			RadioButton { enabled, "" },
			
		/* [12] */
		{74, 4, 90, 88},
			StaticText { disabled, "Orientation" },
			
		/* [13] portrait icon */
		{93, 5, 125, 37},
			UserItem { enabled },
		
		/* [14] landscape icon */
		{93, 45, 125, 77},
			UserItem { enabled },
			
		/* [15] */
		{74, 106, 90, 211},
			StaticText { disabled, "Special Effects:" },
			
		/* [16] */
		{74, 220, 90, 328},
			CheckBox { enabled, "Tall Adjusted" },
			
		/* [17] */
		{89, 220, 105, 342},
			CheckBox { enabled, "50 % Reduction" },
			
		/* [18] */
		{104, 220, 120, 401},
			CheckBox { enabled, "No Gaps Between Pages" },

		/* [19] version frill */
		{4, 348, 19, 384},
			UserItem { enabled },

		/* [20] default frill */
		{4, 400, 24, 460},
			UserItem { enabled },
	}
};

// version string for old dialogs
resource 'STR ' (-8190, sysheap, purgeable) { "1.0" };

resource 'dctl' (-8192, sysheap, purgeable) {
	20,
	{
	Button { 2, cancel },
	Frill { 4, line },
	PaperSizes { 0, 0, { 6, 7, 8, 9, 10, 11 } },
	Orientation { 13, 14, 0, 0 },

	Toggle { 16, bPreciseBitmap },	// tall adjusted
	Toggle { 17, bUser0 },			// 50% reduction
	Toggle { 18, bBiggerPages },	// no gaps
	
	Frill { 19, version },
	Frill { 20, default },
	}
};


resource 'hdlg' (-8192, sysheap, purgeable) {
	HelpMgrVersion,
	0,
	0,
	0,
	0,
	HMStringResItem {
		{0, 0}, {0, 0, 0, 0},
		-8192, 1,
		-8192, 2,
		-8192, 3,
		-8192, 4
		},
		
	{	/* array HDialogArray: 18 elements */
		/* [1] */
		HMStringResItem {
			{0, 0}, {0, 0, 0, 0},
			-8192, 5,
			-8192, 6,
			-8192, 7,
			-8192, 8
			},
			
		/* [2] */
		HMStringResItem {
			{0, 0}, {0, 0, 0, 0},
			-8192, 9,
			-8192, 10,
			-8192, 11,
			-8192, 12
			},
			
		/* [3] */
		HMSkipItem { },
		
		/* [4] */
		HMSkipItem { },
		
		/* [5] */
		HMSkipItem { },
		
		/* [6] */
		HMStringResItem {
			{0, 0}, {0, 0, 0, 0},
			-8192, 13,
			-8192, 14,
			-8192, 15,
			-8192, 16
			},
			
		/* [7] */
		HMStringResItem {
			{0, 0}, {0, 0, 0, 0},
			-8192, 17,
			-8192, 18,
			-8192, 19,
			-8192, 20
			},
			
		/* [8] */
		HMStringResItem {
			{0, 0}, {0, 0, 0, 0},
			-8192, 21,
			-8192, 22,
			-8192, 23,
			-8192, 24
			},
			
		/* [9] */
		HMStringResItem {
			{0, 0}, {0, 0, 0, 0},
			-8192, 25,
			-8192, 26,
			-8192, 27,
			-8192, 28
			},
			
		/* [10] */
		HMStringResItem {
			{0, 0}, {0, 0, 0, 0},
			-8192, 29,
			-8192, 30,
			-8192, 31,
			-8192, 32
			},
			
		/* [11] */
		HMStringResItem {
			{0, 0}, {0, 0, 0, 0},
			-8192, 53,
			-8192, 54,
			-8192, 55,
			-8192, 56
			},
			
		/* [12] */
		HMSkipItem { },
		
		/* [13] */
		HMStringResItem {
			{0, 0}, {0, 0, 0, 0},
			-8192, 33,
			-8192, 34,
			-8192, 35,
			-8192, 36
			},
			
		/* [14] */
		HMStringResItem {
			{0, 0}, {0, 0, 0, 0},
			-8192, 37,
			-8192, 38,
			-8192, 39,
			-8192, 40
			},
			
		/* [15] */
		HMSkipItem { },
		
		/* [16] */
		HMStringResItem {
			{0, 0}, {0, 0, 0, 0},
			-8192, 41,
			-8192, 42,
			-8192, 43,
			-8192, 44
			},
			
		/* [17] */
		HMStringResItem {
			{0, 0}, {0, 0, 0, 0},
			-8192, 45,
			-8192, 46,
			-8192, 47,
			-8192, 48
			},
			
		/* [18] */
		HMStringResItem {
			{0, 0}, {0, 0, 0, 0},
			-8192, 49,
			-8192, 50,
			-8192, 51,
			-8192, 52,
			},

		/* [19] */
		HMSkipItem { },
		
		/* [20] */
		HMSkipItem { },
		
	}
};


resource 'STR#' (-8192, sysheap, purgeable) {
	{	/* array StringArray: 55 elements */
		/* [1] */	"",
		/* [2] */	"",
		/* [3] */	"",
		/* [4] */	"",
		
		/* [5] */	"To confirm the settings and close the dialog "
					"box, click this button (or press the "
					"Return or Enter key).",
		/* [6] */	"",
		/* [7] */	"",
		/* [8] */	"",
		
		/* [9] */	"To cancel any changes and close the box, "
					"click this button.",
		/* [10] */	"",
		/* [11] */	"",
		/* [12] */	"",
		
		/* [13] */	"To print on standard U.S. letter paper ("
					"8 1/2 by 11 inches), click this button.",
		/* [14] */	"",
		/* [15] */	"When this button is selected, your document "
					"is set up for standard U.S. letter paper "
					"(8 1/2 by 11 inches).",
		/* [16] */	"",
		
		/* [17] */	"To print on A4 paper (a standard European "
					"letter size, 8 1/2 by 11 2/3 inches), "
					"click this button.",
		/* [18] */	"",
		/* [19] */	"When this button is selected, your document "
					"is set up for A4 paper (a standard European "
					"letter size, 8 1/2 by 11 2/3 inches).",
		/* [20] */	"",
		
		/* [21] */	"To print on U.S. legal paper (8 1/2 by 14 inches), "
					"click this button.",
		/* [22] */	"",
		/* [23] */	"When this button is selected, your document "
					"is set up for U.S. legal paper (8 1/2 by 14 inches).",
		/* [24] */	"",
		
		/* [25] */	"To print on international fanfold paper "
					"(8 1/4 by 12 inches), click this button.",
		/* [26] */	"",
		/* [27] */	"When this button is selected, your document "
					"is set up for international fanfold "
					"paper (8 1/4 by 12 inches).",
		/* [28] */	"",
		
		/* [29] */	"To print on standard computer paper (15 "
					"by 11 inches), click this button.",
		/* [30] */	"",
		/* [31] */	"When this button is selected, your document "
					"is set up for standard computer paper "
					"(15 by 11 inches).",
		/* [32] */	"",
		
		/* [33] */	"To set up your document for portrait (tall) "
					"printing, click this icon.",
		/* [34] */	"",
		/* [35] */	"When this icon is selected, your document "
					"is set up for portrait (tall) printing.",
		/* [36] */	"",
		
		/* [37] */	"To set up your document for landscape (wide) "
					"printing, click this icon.",
		/* [38] */	"",
		/* [39] */	"When this icon is selected, your document "
					"is set up for landscape (wide) printing.",
		/* [40] */	"",
		
		/* [41] */	"To correct the proportions of graphic images "
					"printed in portrait (tall) orientation, "
					"click this box.",
		/* [42] */	"To correct the proportions of images printed "
					"in portrait (tall) orientation, click "
					"this box.  Not available because landscape "
					"orientation is selected, or because "
					"the application program you are using "
					"automatically uses correct proportions.",
		/* [43] */	"When this box is checked, graphic images "
					"printed in portrait (tall) orientation "
					"will be correctly proportioned.",
		/* [44] */	"",
		
		/* [45] */	"To print your document at half its actual "
					"size, click this box.",
		/* [46] */	"To print your document at half its actual "
					"size, click this box.  Not available because "
					"the application program you are using "
					"always prints images at actual size."
		/* [47] */	"When this box is checked, your document "
					"is printed at half its actual size.",
		/* [48] */	"",
		
		/* [49] */	"To print your document without gaps between "
					"pages, click this box.",
		/* [50] */	"",
		/* [51] */	"When this box is checked, your document "
					"is printed without gaps between pages.",
		/* [52] */	"",
	}
};


resource 'DLOG' (-8192, sysheap, purgeable) {
	{30, 20, 174, 492},
	dBoxProc,
	invisible,
	noGoAway,
	0x1,
	-8192,
	"Stl",
	noAutoCenter
};

resource 'dctb' (-8192, sysheap, purgeable) {
	{	/* array ColorSpec: 0 elements */
	}
};

/* ----------------------------------------------------------------------------*/
/* print dialog */

resource 'DITL' (-8191, sysheap, purgeable) {
	{	/* array DITLarray: 19 elements */
		/* [1] */
		{8, 404, 27, 464},
			Button { enabled, "Print" },
		
		/* [2] */
		{35, 404, 54, 464},
			Button { enabled, "Cancel" },
			
		/* [3] name frill */
		{4, 4, 20, 384},
			StaticText { disabled, DriverName },
			
		/* [4] line frill */
		{20, 5, 24, 393},
			UserItem { disabled },
			
		/* [5] */
		{24, 4, 40, 88},
			StaticText { disabled, "Quality:" },
			
		/* [6] */
		{24, 100, 40, 188},
			RadioButton { enabled, "Best" },
			
		/* [7] */
		{24, 200, 40, 288},
			RadioButton { enabled, "Faster" },
			
		/* [8] */
		{24, 300, 40, 388},
			RadioButton { enabled, "Draft" },
		
		/* [9] */
		{44, 4, 60, 88},
			StaticText { disabled, "Page Range:" },
			
		/* [10] */
		{44, 100, 60, 188},
			RadioButton { enabled, "All" },
			
		/* [11] */
		{44, 200, 60, 260},
			RadioButton { enabled, "From:" },
			
		/* [12] */
		{44, 264, 60, 296},
			EditText { disabled, "" },
			
		/* [13] */
		{44, 304, 60, 332},
			StaticText { disabled, "To:" },
			
		/* [14] */
		{44, 332, 60, 364},
			EditText { disabled, "" },
			
		/* [15] */
		{64, 4, 80, 88},
			StaticText { disabled, "Copies:" },
			
		/* [16] */
		{64, 100, 80, 132},
			EditText { disabled, "1" },
			
		/* [17] */
		{84, 4, 100, 92},
			StaticText { disabled, "Paper Feed:" },
			
		/* [18] */
		{84, 100, 100, 192},
			RadioButton { enabled, "Automatic" },
			
		/* [19] */
		{84, 200, 100, 292},
			RadioButton { enabled, "Hand Feed" },

		/* [20] version frill */
		{4, 348, 19, 384},
			UserItem { enabled },

		/* [21] default frill */
		{4, 400, 24, 460},
			UserItem { enabled },
	}
};

resource 'dctl' (-8191, sysheap, purgeable) {
	21,
	{
	Button { 2, cancel },
	Frill { 4, line },
	Cluster { quality, { 6, 7, 8 } },
	PageRange { 10, 11, 12, 14},
	Copies { 16 },
	Cluster { feed, { 18, 19 } },
	
	Frill { 20, version },
	Frill { 21, default },
	}
};

resource 'hdlg' (-8191, sysheap, purgeable) {
	HelpMgrVersion,
	0,
	0,
	0,
	0,
	HMStringResItem {
		{0, 0},
		{0, 0, 0, 0},
		-8191, 1,
		-8191, 2,
		-8191, 3,
		-8191, 4
	},
	{	/* array HDialogArray: 19 elements */
		/* [1] */
		HMStringResItem {
			{0, 0}, {0, 0, 0, 0},
			-8191, 5,
			-8191, 6,
			-8191, 7,
			-8191, 8
			},
			
		/* [2] */
		HMStringResItem {
			{0, 0}, {0, 0, 0, 0},
			-8191, 9,
			-8191, 10,
			-8191, 11,
			-8191, 12
			},
			
		/* [3] */
		HMSkipItem { },
		
		/* [4] */
		HMSkipItem { },
		
		/* [5] */
		HMSkipItem { },
		
		/* [6] */
		HMStringResItem {
			{0, 0}, {0, 0, 0, 0},
			-8191, 13,
			-8191, 14,
			-8191, 15,
			-8191, 16
			},
			
		/* [7] */
		HMStringResItem {
			{0, 0}, {0, 0, 0, 0},
			-8191, 17,
			-8191, 18,
			-8191, 19,
			-8191, 20 },
			
		/* [8] */
		HMStringResItem {
			{0, 0}, {0, 0, 0, 0},
			-8191, 21,
			-8191, 22,
			-8191, 23,
			-8191, 24
			},
			
		/* [9] */
		HMSkipItem { },
		
		/* [10] */
		HMStringResItem {
			{0, 0}, {0, 0, 0, 0},
			-8191, 25,
			-8191, 26,
			-8191, 27,
			-8191, 28
			},
			
		/* [11] */
		HMStringResItem {
			{0, 0}, {0, 0, 0, 0},
			-8191, 29,
			-8191, 30,
			-8191, 31,
			-8191, 32
			},
			
		/* [12] */
		HMStringResItem {
			{0, 0}, {0, 0, 0, 0},
			-8191, 33,
			-8191, 34,
			-8191, 35,
			-8191, 36
			},
			
		/* [13] */
		HMSkipItem { },
		
		/* [14] */
		HMStringResItem {
			{0, 0}, {0, 0, 0, 0},
			-8191, 37,
			-8191, 38,
			-8191, 39,
			-8191, 40
			},
			
		/* [15] */
		HMSkipItem { },
		
		/* [16] */
		HMStringResItem {
			{0, 0}, {0, 0, 0, 0},
			-8191, 41,
			-8191, 42,
			-8191, 43,
			-8191, 44
			},
			
		/* [17] */
		HMSkipItem { },
		
		/* [18] */
		HMStringResItem {
			{0, 0}, {0, 0, 0, 0},
			-8191, 45,
			-8191, 46,
			-8191, 47,
			-8191, 48
			},
			
		/* [19] */
		HMStringResItem {
			{0, 0}, {0, 0, 0, 0},
			-8191, 49,
			-8191, 50,
			-8191, 51,
			-8191, 52
			},

		/* [20] */
		HMSkipItem { },
		
		/* [21] */
		HMSkipItem { },
		
	}
};

resource 'STR#' (-8191, sysheap, purgeable) {
	{	/* array StringArray: 52 elements */
		/* [1] */ 	"",
		
		/* [2] */	"",
		/* [3] */	"",
		/* [4] */	"",
		
		/* [5] */	"To start printing using the settings in "
					"this dialog box, click this button (or press "
					"the Return or Enter key).",
		/* [6] */	"",
		/* [7] */	"",
		/* [8] */	"",
		
		/* [9] */	"To cancel the Print command without saving any "
					"changes to settings in this box, click this button.",
					
		/* [10] */	"",
		/* [11] */	"",
		/* [12] */	"",
		
		/* [13] */	"To print your document with the highest "
					"resolution (144 dots per inch), click this "
					"button.  Best quality takes the longest "
					"to print.",
		/* [14] */	"",
		/* [15] */	"When this button is selected, the ImageWriter "
					"will print your document with the "
					"highest resolution (144 dots per inch).  "
					"Best quality takes the longest to print."
		/* [16] */	"",
		
		/* [17] */	"To print your document with medium resolution "
					"(72 dots per inch), click this button.  "
					"Faster quality prints more quickly "
					"than Best, but more slowly than Draft.",
		/* [18] */	"To print your document with medium resolution "
					"(72 dots per inch), click this button.  "
					"Not available because the application "
					"program you are using always prints "
					"at the full resolution of the printer.",
		/* [19] */	"When this button is selected, the ImageWriter "
					"will print your document with medium "
					"resolution (72 dots per inch).  Faster "
					"quality prints more quickly than Best, "
					"but more slowly than Draft.",
		/* [20] */	"",
		
		/* [21] */	"To get a quick printout, click this button.  "
					"Text only is printed, using one font "
					"and font size, in plain, bold, and underline "
					"styles.",
		/* [22] */	"To get a quick printout, click this button.  "
					"Text only is printed, using one font "
					"and font size, in plain, bold, and underline "
					"styles.  Not available because you have formatted your "
					"document in landscape orientation.",
		/* [23] */	"When this box is checked, the ImageWriter "
					"will produce a quick printout containing "
					"text only, using one font and font size, "
					"with plain, bold, and underline styles "
					"only.",
		/* [24] */	"",
		
		/* [25] */	"To print all the pages in the document, click this button.",
		/* [26] */	"",
		/* [27] */	"When this button is selected, the ImageWriter "
					"will print all the pages in the document.",
		/* [28] */	"",
		
		/* [29] */	"To print a specified range of pages, click "
					"this button and type page numbers in "
					"the boxes to the right.  To print one page, "
					"type its number in both boxes.",
		/* [30] */	"",
		/* [31] */	"When this button is selected, the ImageWriter "
					"will print only the page range specified "
					"in the boxes to the right.",
		/* [32] */	"",
		
		/* [33] */	"",
		/* [34] */	"To specify a range of pages to be printed, "
					"type the number of the first page here.",
		/* [35] */	"",
		/* [36] */	"",
		
		/* [37] */	"",
		/* [38] */	"To specify a range of pages to be printed, "
					"type the number of the last page here.",
		/* [39] */	"",
		/* [40] */	"",
		
		/* [41] */	"",
		/* [42] */	"Type the number of copies to be printed here."
		/* [43] */	"",
		/* [44] */	"",
		
		/* [45] */	"To print on paper automatically fed into "
					"the printer, click this button.",
		/* [46] */	"",
		/* [47] */	"When this button is selected, the ImageWriter "
					"will print on paper fed into the printer "
					"automatically.",
		/* [48] */	"",
		
		/* [49] */	"To print on paper fed into the printer by "
					"hand (one sheet at a time), click this "
					"button.",
		/* [50] */	"",
		/* [51] */	"When this button is selected, the ImageWriter "
					"will pause before printing each page "
					"so that you can insert a new sheet of "
					"paper.",
		/* [52] */	"",
	}
};

resource 'DLOG' (-8191, sysheap, purgeable) {
	{50, 20, 154, 492},
	dBoxProc,
	invisible,
	noGoAway,
	0x1,
	-8191,
	"Job",
	noAutoCenter
};

resource 'dctb' (-8191, sysheap, purgeable) {
	{	/* array ColorSpec: 0 elements */
	}
};

/* ----------------------------------------------------------------------------*/
/* 	resource which associates the 'hdlg's with their DLOGs.  This is
	done to avoid resource ID renumbering, and because old dialog appending
	code can't handle the help item type.
*/
resource 'hwin' (-8192, sysheap, purgeable) {
	HelpMgrVersion,
	0,
	{	/* array HWinArray: 2 elements */
		/* [1] */
		/* ID	type	compare length	string */
		-8192,	'hdlg',	3,				"Stl",
		
		/* [2] */
		-8191,	'hdlg',	3,				"Job"
	}
};


/* ----------------------------------------------------------------------------*/
/* 	The default print record for this driver.
*/
type 'PREC' (0) {
	integer;				/*iPrVersion		*/
						/*PrInfo		*/
	integer;				/*	iDev		*/
	integer;				/*	iVRes		*/
	integer;				/*	iHRes		*/
	rect;					/*	rPage		*/
	rect;				/*rPaper		*/
						/*PrStl			*/
	byte;					/*	wDev refNum	*/
	boolean;						/*	wDev lo bit 7	*/
	boolean NoDftBts, DftBts;		/*	wDev lo bit 6	*/
	boolean NoResSet, ResSet;		/*	wDev lo bit 5	*/
	boolean NoScroll, Scroll;		/*	wDev fScroll	*/
	boolean NoZoom, Zoom2X;			/*	wDev f2XZoom	*/
	boolean NormPix, SqPix;			/*	wDev fSqPix	*/
	boolean Landscape, Portrait;		/*	wDev fPortrait	*/
	boolean LowRes, HighRes;		/*	wDev fHiRes	*/
	integer;				/*	iPageV		*/
	integer;				/*	iPageH		*/
	byte;					/*	bPort		*/
	byte Cut, Fanfold, MechCut, Other;	/*	feed		*/
						/*PrInfoPT		*/
	integer;				/*	iDev		*/
	integer;				/*	iVRes		*/
	integer;				/*	iHRes		*/
	rect;					/*	rPage		*/
						/*PrXInfo		*/
	integer;				/* 	iRowBytes	*/
	integer;				/*	iBandV		*/
	integer;				/*	iBandh		*/
	integer;				/*	iDevBytes	*/
	integer;				/*	iBands		*/
	byte dbl=-2, norm=0;			/*	bPatScale	*/
	byte;					/*	bULThick	*/
	byte;					/*	bULOffset	*/
	byte;					/*	bULShadow	*/
	byte scanTB, scanBT, scanLR, scanRL;	/*	scan		*/
	fill byte;				/*	bXInfoX		*/
						/*PrJob			*/
	integer;				/*	iFstPage	*/
	integer;				/*	iLstPage	*/
	integer;				/*	iCopies		*/
	byte Draft, Spool, User1, User2;	/*	bJDocLoop	*/
	byte;					/*	fFromUsr	*/
	longint;				/*	pIdleProc	*/
	longint;				/*	pFileName	*/
	integer;				/*	iFileVol	*/
	byte;					/*	bFileVers	*/
	byte;					/*	bJobFlags	*/
	longint;				/*	lImageBytes for Solo	*/
	integer;				/*	iCpies for Solo			*/
	fill word [16];				/*Make 120 byte total	*/
};



resource 'PREC' (0, sysheap, purgeable) {
	4,						/* increase from 3 to 4 for QuickDraw GX */
	0,
	72,
	80,
	{0, 0, 752, 640},
	{-36, -20, 756, 660},
	1,
	0,
	NoDftBts,
	NoResSet,
	NoScroll,
	NoZoom,
	NormPix,
	Portrait,
	LowRes,
	1320,
	1020,
	0,
	Fanfold,
	0,
	72,
	80,
	{0, 0, 752, 640},
	80,
	32,
	640,
	3200,
	24,
	norm,
	1,
	1,
	1,
	scanTB,
	1,
	9999,
	1,
	Spool,
	1,
	0,
	0,
	0,
	0,
	0,
	0,
	1
};


// This 'STR#' contains a list of all of the qualities that are supported.

resource 'STR#' (kOldQualityID, sysheap, purgeable) 
{
	{
		"Best",
		"Rough"
	}
};
